commit 33dfaa8a863507d584a41e276cfbde5d37c4d6a2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 31 13:28:48 2012 +0100

    update NEWS

commit 823041974db256f9b70e1d882bee9f41b92ae8af
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 20:52:05 2012 +0100

    puzzle: row and col values of 1 are not supported
    (cherry picked from commit 05f9c0acdbf2832d507724d644d32aa06c47cf65)
    
    Conflicts:
    	modules/video_filter/puzzle.c

commit 303a06f0c04f9ca32c59c09e03c704157b24cfae
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Dec 30 16:02:53 2012 +0100

    macosx: show lua intfs in advanced preferences
    
    hack adapted from the qt interface.
    
    close #7876
    (cherry picked from commit 3b4128149119c6b0f9575a6ec16f7d585ac7a388)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 120934306d80655cae490bc444df159a80ac72ba
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 26 18:58:41 2012 +0100

    Handle with resilience unknown ebml elements
    
    Fix #7884 and #7887 by implementing the first proposition.
    (cherry picked from commit 6f8e8326ef82029d868d3c4729c9fd64e41a06f2)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4f4a5d6e56477155c6b2ba1b836dba048994a6d8
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 21:12:52 2012 +0100

    macosx: video effects: limit puzzle settings from 2 - 16
    
    (not cherry picked from 970ff89b610e5cf4e91a1941f353c9edf68a9169)

commit 8dff4d3b5557e93c3adda163d0f863c89dc4cc9e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 16:06:35 2012 +0100

    macosx: video effects: fix text field / stepper syncronisation, fix enabled state of steppers
    
    (not cherry picked from not yet done commit)

commit d4526f98e26b51056a0188729a8eda51d9be72b4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 00:24:11 2012 +0100

    macosx: adapt fspanel layout to update time slider graphics
    (cherry picked from commit 59d6ab773e2fcb7b112cee692ce34996491ce4b2)
    
    Conflicts:
    	NEWS
    	modules/gui/macosx/fspanel.m

commit a80779ade7e5c5aadfd753b6dc20ec82fbf83d0e
Author: Damien Erambert <damien.erambert@me.com>
Date:   Thu Dec 27 00:00:58 2012 +0100

    macosx: re-worked fullscreen time slider graphics to achieve a bigger click target
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit a62d893368a156f7b705f9c37d569e0e53e7fddb)

commit 5b9bf21dcdd07d98c31979d47408200659849860
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 26 12:18:33 2012 +0100

    macosx: simplify ea98fcfc
    
    thanks to David for the feedback
    (cherry picked from commit 9322e135d79228221a0f52d4a745b43cb087be3f)
    
    Conflicts:
    	modules/gui/macosx/MainWindow.m
    	modules/gui/macosx/VideoView.m

commit cab9d6cb04488f57382d12da7d2abaada20936fc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 25 15:25:01 2012 +0100

    macosx: fixed subtitle rendering resolution when using the native fullscreen mode (close #7946)
    
    bug was triggered only when using controls provided by the OS like NSWindow's fullscreen button
    (cherry picked from commit ea98fcfc60555b5f06a7149b8142be0bfcfb2be8)
    
    Conflicts:
    	modules/gui/macosx/VideoView.m
    	modules/gui/macosx/intf.m

commit a1f97b91767bb820cf9bf44aef700ba97809705a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:15:46 2012 +0200

    audio format: fix FI32 -> S16N conversion
    
    (cherry picked from commit 84fab3ddd6f554d922df1c18ae4ab1266598d383)

commit 75f7915e33e031ba51d4909a4db3589b82099a34
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 02:01:53 2012 +0100

    Fix DxVA2 decoding on HD2000/3000
    
    Close #6243
    (cherry picked from commit 7f4f09b56e1943c866c243a3a981c3050566c923)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 14e8d8a7f5719fa45024d657e8038dd2c358eb53
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 22:18:29 2012 +0200

    format: fix typo, conversion from S32N to S16N
    
    (cherry picked from commit 1d5cbf26f50d5e5067a5baee2e045a4ca4577fc5)

commit 9a3277e8226cf6661da16719dac8b84ba6255989
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 19 18:08:23 2012 +0100

    npapi packaging: we don't need to fetch gecko headers anymore
    (cherry picked from commit 4c1beff0eab8fc5b97cc75bf52e9679f771b2d6b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3308b699e30c5c45262802370f461399ffa3f76c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 18 15:34:36 2012 +0100

    Contrib: update live555
    
    Close #7786
    (cherry picked from commit 03f571782b24d486ab5c75cfb748dca736bc448e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 52157cf528851c7766b72222eac7ada382133110
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 21:30:41 2012 +0200

    XCB/XVideo: fix flawed logic for adaptor selection
    
    (cherry picked from commit 45ab9b93592068dfb8380f6c99b062b1b7c34574)

commit 0e00f5e468c0c2ddb810338b49f2efc17d61e30e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 17 01:08:51 2012 +0100

    Fix EXTRA_DIST list

commit 2c6e48652a39be6b0fb031f560ecbe9d22dcc58d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 11:58:27 2012 +0100

    UAC: distribute source code (and doc+examples)
    (cherry picked from commit ed810a5693cac334050c06fe453eae44fb6eb868)
    
    Conflicts:
    	Makefile.am
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit a252b5059c8ef3cb67b267f52f1ebd7703bd5429
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 11:06:42 2012 +0100

    UAC: rename file to get rid of spaces

commit b3500d99050f795447205ecc102d12c5e7367207
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 11:04:29 2012 +0100

    contrib: we use libav nowadays.
    
    stay tuned.

commit 304b08cc5f99e4e5f40257679a847d33ad99d0c9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 11:21:02 2012 +0100

    taglib: fix windows static build
    (cherry picked from commit 2b004056c340aba439ea497449b823629d906264)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit c8ab67f32cd3b5f8ebdcd8c3bc5b4b54c873aa3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 15:19:43 2012 +0100

    Fix win32 plugins packaging
    (cherry picked from commit 1a3286356e0677c984d23bf5ba93f99efc134746)
    (cherry picked from commit 915f956bbfeda539a00fbc8dcd8d4a8bffbb0140)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 055b516e76389fa5fcc6d9e7fffa5e41acab6d5e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 16:47:16 2012 +0100

    Merge NEWS from git

commit d9bf7d0d39b66b3924996171ef62fc10b88e872f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 13:23:40 2012 +0100

    add missing 2.0.5 news item

commit 38721d041c19fe20ed3c5c276b2b5249c96c7e43
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 12:37:19 2012 +0100

    On the road to 2.0.6

commit 64d151e0779388722c5cea179830e9e6c9c0408d
Author: Kelly Anderson <kelly@silka.with-linux.com>
Date:   Thu Jan 5 06:23:35 2012 -0700

    Cleanup lua script escape sequences for lua 5.2.
    
    Converting \ to %, since 5.2 no longer accepts \.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit a957114421fd2e875432e5fde0448ffc1ae60cfd)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1661b7d6198b2201f938131e64d90ed8024f7f94
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 15:40:59 2012 +0100

    Update PO

commit 9a976e6d9e574bc05b9fdb7b303a6b7b811324eb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 15:33:14 2012 +0100

    Update NEWS

commit 2886f1761e246724551fb450316501976a3a5f93
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 12:42:05 2012 +0100

    Fix swfdec crash
    
    Close #7860

commit b5e0afa31a3702533671b8923e181c3d5cf56833
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Aug 31 02:37:15 2012 +0200

    fix use of uninitialized variable on error
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 2ee43275e3dfe528f9bc41f8520ba218487d0588)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 53637eafb95dd7994dfb429ace7cc06b9b7ac8c3
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Dec 8 01:18:34 2012 +0100

    Handle ordered editions with broken links or empty
    
    Fix #7859
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5cd1816c41f5be3b42c2abdb7e3b31407d15d1f4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8395f3344591e8a0f4d02925fab400571ffc60c4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Dec 9 12:47:14 2012 +0200

    Revert "swscale: fix aspect-ratio problem properly"
    
    These were wrong and reverter in upstream already
    
    This reverts commit 48b8119ce865cb347b44b31b84a4aac7502e4a22.
    This reverts commit ecbba65a009205196c21735eb104e3c4f5f490dc.

commit 2232acd7dbf19b92764964b1f6b001c61afcec8a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:11:53 2012 +0200

    XCB/XVideo: fix memory leak
    
    (cherry picked from commit dd1ff43f888d63f9042a9a94ec6050b0523c6aa8)

commit 9cdac4d6ad55d0a7fc5da403bb5a4be1591a7def
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 7 10:21:47 2012 +0100

    Updating translators

commit 1adbba95d66f3d6dd456e2759685455f34ae7b39
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 7 01:18:26 2012 +0100

    NEWS: l10n updates

commit 3730c2d243ecca197efb3c9b3fb66bad9bbbc2d4
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 7 00:55:40 2012 +0100

    Fulah should be selectable now

commit 4dd2cad967076ff634a209ef4540f2844747ef27
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 7 00:45:30 2012 +0100

    l10n: adding Interlingua to LINGUAS

commit ddeff86fcfa1dc0069fb2b014e980056bde29865
Author: Emilio Sepúlveda <emisepulvedam@gmail.com>
Date:   Fri Dec 7 00:44:08 2012 +0100

    l10n: Initial Interlingua translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e02127136999643735a847ab5b567afa1fa7d7f0
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 7 00:37:57 2012 +0100

    l10n: adding Welsh to LINGUAS

commit d5b9ce0dd1a9274bac48716efbbfe9fdae6823ee
Author: Huw Waters <huwwaters@gmail.com>
Date:   Fri Dec 7 00:36:23 2012 +0100

    l10n: Initial Welsh translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 98ed53293f534573928cae6f06be84f8e4c6fffa
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 17:05:57 2012 +1100

    macosx: fix crash when re-ordering playlist items
    (cherry picked from commit a0442893663ac58aa5b5e8cb098951a0aa499878)
    
    Conflicts:
    	modules/gui/macosx/playlist.m

commit f755a2554e0180214eab8fb6c840a07534609116
Author: Frank Chao <frank0624@gmail.com>
Date:   Thu Dec 6 23:30:29 2012 +0100

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 99b7ef633d7808d0d2376644a1d7f628e998caf3
Author: Thanakrit Chomphuming <jernghan@gmail.com>
Date:   Thu Dec 6 23:23:20 2012 +0100

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dedccd486f511804f95119760e21e077e569e8f7
Author: sreejith p <sreejithpro@gmail.com>
Date:   Thu Dec 6 23:10:08 2012 +0100

    l10n: Malayalam update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d6614083407e8cf97d326afbc6723c40f921341a
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Thu Dec 6 23:02:44 2012 +0100

    l10n: Khmer update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 727009ae5830013fb0676e79f489b33d9aadf6f6
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Thu Dec 6 22:36:25 2012 +0100

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1c3b012f2c7fe061563fe067609ca69f233a20e4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Dec 6 22:29:04 2012 +0100

    l10n: Hebrew update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 900f226c551950f0e11c3e613dfb43df89ddb6b9
Author: Michael Bauer <fios@akerbeltz.org>
Date:   Thu Dec 6 22:25:58 2012 +0100

    l10n: Gaelic, Scottish
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 117eea84c92f0ca3b216e7419e1c874f169521a9
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Dec 6 22:22:12 2012 +0100

    l10n: Estonian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 614ff5993766ac102c486384e8c74f1dd2a14d25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 23:31:54 2012 +0200

    PulseAudio: force minreq to less than half tlength (refs #7827)
    
    This should work-around distorsion due to excessively short latency
    computation in PulseAudio, e.g. NVIDIA HDMI Audio.
    
    In the longer term, VLC should probably set minreq to 40ms and tlength
    to a larger value or even -1. But that would require more testing.
    (cherry picked from commit a1ddda85bb3cbd7ec4b7bb0aa0fd80c9a6d3afe7)

commit 6556052f8a17db51860e39a4c57b992e794532a9
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Thu Dec 6 22:14:41 2012 +0100

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bac0b53c681e7af29bf7d0a8c19cd6d93382dfc6
Author: Adnan Memija <sream_92@live.com>
Date:   Thu Dec 6 22:11:18 2012 +0100

    l10n: Bosnian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8e348871c782f1faa9e4195105b959b7f56c5e68
Author: Biraj Karmakar <brnet00@gmail.com>
Date:   Thu Dec 6 22:04:23 2012 +0100

    l10n: Bengali (India) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b98c9c8c943a77cb33e7c5eb95ad2b2dabd5c73f
Author: Iñigo Varela <ivarela@softastur.org>
Date:   Thu Dec 6 22:01:25 2012 +0100

    l10n: Asturian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8b4334bdd08beb2e64d07b2b92b863f883f63231
Author: Dominko Aždajić <domazd@mail.ru>
Date:   Thu Dec 6 20:57:07 2012 +0100

    l10n: Croatian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 263dd77ea5425866f4d827a282b0a4626fa62528
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 18:32:42 2012 +0100

    Qt: fix toolbar customization when doing back and forth
    
    Close #7543
    (cherry picked from commit 22faed61d33d747226e5238466c30b56a9fec4f3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81a328447337174bb0aac581f9f560205db741d9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 11:59:45 2012 +1100

    macosx: fix display sleep issue on 10.5 (refs #7623)
    
    According to user reports, the modern IOKit approach doesn't work on 10.5 eventhough the docs state that it should.
    
    Note that the screen (and it turn the device) will fall asleep after the defined time in system preferences when playing audio-only media on 32bit devices running 10.5. This is the way it used to be in the past anyway. For x86_64 devices or 32bit devices running 10.6, there is no change.

commit 113cbbcda68316362273f5b85db1f91ee964483e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 10:26:30 2012 +1100

    macosx: fixed race condition crash when closing the vout
    
    vout_display_opengl_Delete will call OpenglLock, so it is a bad idea to previously release sys->glView
    (cherry picked from commit c6a264bf022d834e7617948e4923012fc1d8369d)

commit 54316e0185b52ee07d89e3e38d3f30190fc11376
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Wed Dec 5 21:38:54 2012 +0100

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b3cf89cbe016d968acb198528c2406f932461ce7
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Wed Dec 5 21:34:12 2012 +0100

    l10n: Polish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4c7688bdd438989f609976728d11368f7dcd56d4
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Wed Dec 5 19:50:34 2012 +0100

    Updating AUTHORS from git log

commit 3a1de5413ae0b61112d6dcde9e88f12c8c30b195
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 12:12:30 2012 +0100

    Contribs: possibly fix encoding in audio
    
    Should close #7804 #7692 #7748

commit e884176085b697fdf2cbe92a63021ad79d5976ad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 16:22:36 2012 +0100

    Revert "Correctly detect alac in mp4 properties"
    
    This reverts commit e45858ce2292b640858fe45d87ac436e92a17edc.

commit ec0a0dc4cb91c78e0b289053aa470cb4cecde1c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 16:18:53 2012 +0100

    NEWS

commit d3b9e46799d59971da60fce978f7a1a6fc2e6809
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Dec 2 23:07:46 2012 +0100

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 75d6191245915b05a8e0386158dee3be1abb57dd
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Sun Dec 2 20:57:09 2012 +0100

    l10n: Slovak update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 54f609fe25734e858c978e55ca201e226d88187a
Author: Dean Lee <xslidian@gmail.com>
Date:   Sun Dec 2 20:53:21 2012 +0100

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3d888ad6a63fcdccd7c5af25e3c48b1b1ca2d942
Author: Sidney Doria <ssdoria@gmail.com>
Date:   Sun Dec 2 20:48:01 2012 +0100

    l10n: Brazilian Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 884916c95c265a8a9f11f631508cfa180a508daa
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Sun Dec 2 20:33:07 2012 +0100

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 17da6cc3911dc205b660d3468852c65563e657c4
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Sun Dec 2 20:27:22 2012 +0100

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 380cad9726f1b8eb711b6e367c9f709b6f13b53d
Author: Gonçalo Cordeiro <gzcordeiro@gmail.com>
Date:   Sun Dec 2 20:24:02 2012 +0100

    l10n: Galician update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f069a61bf29c97d6269c4526dff49e049ffe5ade
Author: Mario Siegmann <mario_siegmann@web.de>
Date:   Sun Dec 2 20:11:38 2012 +0100

    l10n: German update

commit a447be1718c2cc009490de52cb87b20c0e8922fc
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Dec 2 09:56:05 2012 +0100

    undo changes in POTFILES.in/skip

commit 007ddb0918530a621f434ae0c2f09593dffd57cf
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sat Dec 1 19:32:43 2012 +0100

    Update PO

commit be1bcb349e3c7d399590b5c267fb2b42f31bad24
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 00:19:15 2012 +0200

    DBus: remove from list of "control" interfaces
    
    The D-Bus interface is always started automatically. It should NOT be
    added to --control.
    (cherry picked from commit 4ba6b7dab9fb66fce9967ed979f1b692be18a1f2)

commit 132865b38ddf65a9eb7e2d0095ca907bb55cfb9f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 26 21:41:21 2012 +0100

    NEWS: updated demuxers, OSX and translations sections

commit eb872219cf72bd2b94a8a578d3fb4e014578a6ee
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Nov 26 19:26:06 2012 +0100

    po: fixed typo in the French translation
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 48b8119ce865cb347b44b31b84a4aac7502e4a22
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 25 19:13:37 2012 +0200

    swscale: fix aspect-ratio problem properly
    
    works with transform filter now too, fixes #7437 again.
    (cherry picked from commit 0330378c55b8b940f6de82adb59cc32c5b3da12a)

commit 9ccecb62f1878b6a43c2a662213e8bdf94cda0f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 15:59:45 2012 +0200

    Revert "http access: advertize gzip encoding ..." (fixes #7757)
    
    This reverts commit 4087c7c0edad3db4098c02fd6003b4bb2f78aca9.

commit 329bb89097c9ae8e2c4df57748bdb63d6fdd9872
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 22:44:41 2012 +0200

    vout: fix segmentation fault if initialization fails
    
    (cherry picked from commit 97e88867dde80bfd90e4d1c42d08bde34e1314e3)

commit 34f3f2f90f1d58f980b24c0457e70d8025e0e887
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 23:01:38 2012 +0200

    shm: fix PTS delay (fixes #7579)
    
    (cherry picked from commit 6eaec7cb6995c4f7c7a12d3c9e9fd6b05a446230)

commit a1f6bd08356a7ab76655a54362511db6e54646c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 17:49:43 2012 +0200

    dtv: fix compilation with Linux 3.7 / DVB >= 5.8 (fixes #7763)
    
    (cherry picked from commit cd1e58d9d37bc97bd4981faaa075e9d13c75bc3b)
    
    Conflicts:
    	modules/access/dtv/linux.c

commit a2d9fc18e3fdec189137d2d202519ecf998b7571
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 23:21:59 2012 +0200

    Update NEWS

commit 80b182de0442c7e20b207f31d2af4cc4f0cceda4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 23:17:41 2012 +0200

    DTV: fix DVB-S autodetection
    
    (cherry picked from commit 1c858fbdf23e7bfc93bcab47193ce5100cd61e7a)

commit b4567078408b5b9144cbf76c7cabfc9f6fa64752
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 18 00:05:23 2012 +0200

    DTV: use vlc_open(|at) to work-around O_CLOEXEC
    
    (not cherry-picked from 374fc686a22063c060d36582f0e90ab1a57ab33e)

commit 395d3bfc2bd75712aa28230f93d6a2c68ecd5d87
Author: Juergen Lock <nox@jelal.kn-bremen.de>
Date:   Sat Nov 17 23:49:04 2012 +0200

    PulseAudio: fix segmentation fault
    
    Reported by: Rainer Hurling
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 7751dc1fb827256b226fe49bd99fe6a5f37f5c8a)

commit 8e8b02ff1720eb46dabe2864e79d47b40a2792d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 20:00:34 2012 +0200

    subsdec: really fix buffer overflows
    
    Reported-by: Aliz Hammond
    (cherry picked from commit ee86514d1cb1fe5ec25c8bdfb2a4b6a8d98591e7)

commit e5075a80e1000eca63076c8a657262feb2579e02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 19:55:57 2012 +0200

    subsdec: close <font> correctly
    
    (cherry picked from commit 744121f4461e064e2f26f406c64c9091c95d5e43)

commit 74ff87cc141bc1b88a38ee90f95b3d935c938a56
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 11:04:12 2012 +0200

    FreeType: fix NULL deref on embedded fonts (fixes #7771)
    
    FT_Face.family_name can be NULL for embedded fonts.
    
    See also http://www.freetype.org/freetype2/docs/reference/ft2-base_interface.html#FT_FaceRec
    (cherry picked from commit d96f6e23adfd24ec188cb2a7b31cc2e992291172)

commit 7d3eba0d4f7e2ff6072d320da02008c1317a5767
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 16 17:13:02 2012 +0100

    AVformat: do not use static attachment pictures as stream
    (cherry picked from commit 89a3302c734f2195b620e1bca12670834abd18c9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e026b6eb99ee266151af0e0d057485590c873e7c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 19:33:40 2012 +0100

    macosx: fix incorrect text shadow offset (close #7630)
    (cherry picked from commit 94d4f4a69c9c424ab1f782b6e5461a9eed16bb41)

commit c1fa23c0075c3ab928c80211029211bedbc03300
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 14 12:28:33 2012 +0100

    macosx: fix crash when displaying the Media Information panel with disabled local stats
    (cherry picked from commit a44da88b77a1fe47f5e49c11106261d8b50315f8)
    
    Conflicts:
    	modules/gui/macosx/playlistinfo.m

commit 77c6906f5ce6ae3c7f99bbf7fd081b73aef9896f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 16:13:51 2012 +0100

    macosx: fixed crash when terminating while the progress panel is displayed
    (cherry picked from commit 6c62d7475dce83cbc116f4bcc470ee4f9078e6c1)
    
    Conflicts:
    	modules/gui/macosx/intf.m

commit f1bd800ee42c8e64f8ba75366f0c20e0d3876ac3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 10 22:30:27 2012 +0100

    AIFF: avoid division by 0
    
    Close #7739
    (cherry picked from commit d82327460779ea62d6debc0e08b7f57c7bf384a4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7f12d46095d394e969c422fdcb95abadc5ff0c49
Author: Daniel Peng <dpeng@google.com>
Date:   Thu Sep 13 23:49:38 2012 -0400

    Some RTSP implementations (Foscam H.264 IP cameras) return HTTP/1.1 501 Unimplemented on OPTIONS requests. Don't fail out in this case; just continue and assume GET_PARAMETERS is unsupported.
    
    I have a Foscam h.264 IP camera with a very strange RTSP-over-HTTP
    server, and I wanted to get VLC to play it back.  Here's the patch
    to VLC; I also had a patch committed to live555 to resolve a few
    other issues, and that's available in live.2012.09.13.tar.gz.  Do I
    need to submit a patch to contrib/src/live555/rules.mak to pick that
    new version up?  Or is there a special process for that?  Or should
    I just wait a little bit?  :)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 31180356048402d449f4ee765da20e67ff7e8005)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1a634ca6de7a4fa4d5b4e66fb173f264ca9291ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 22:43:00 2012 +0200

    libvlc news

commit 1657da9db32ce092196c15990b8531364f444af8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 22:39:35 2012 +0200

    lib: correct and uniformize audio/video track IDs (fixes #7645)
    
    (cherry picked from commit 2c5ee1707b1962ee3f47dbe4abb7c199aeccc022)

commit d6f426a044c6db5d9667210b56e4361b18bf27b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 19:13:14 2012 +0200

    lua: fix right OSD alignment (refs #6326)
    
    (cherry picked from commit eeb201b9b0823b88b69372ced5f674cba66a461f)

commit 14189678663a8954899595d6f0978810f27fcfba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 19:12:50 2012 +0200

    lua: fix "center" OSD alignment (refs #6326)
    
    (cherry picked from commit c1157eb5cc71a6c1c2210957bcc7f9cc0c744d6a)

commit beb1a09952e6cb1948305743ba210a6a7914d833
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 23:57:13 2012 +0200

    aout: fix memory leak
    
    (not cherry-picked from f8e940016f9d710ebfafe8e3898fe591dd9c76c2)

commit 96158ea0d8a5f59ee084f92b73cef200f1289b6a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 4 00:09:08 2012 +0100

    avformat: fix use-after-free in error path
    (cherry picked from commit 50fe8e1180d012caf19d421229143344d4242405)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 3ce813b2e492c82bdac9baa69932ea816b68d220
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 30 18:31:35 2012 +0200

    mkv: fix call to ES_OUT_SET_NEXT_DISPLAY_TIME
    
    (cherry picked from commit 9002730fbd83123aae1f69f162e4275f595f9f9e)
    
    Conflicts:
    	modules/demux/mkv/matroska_segment.cpp

commit 9bc5a1140817065c3908381fab17d8dfd05441a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:47:08 2012 +0200

    file audio output: fix float endianess
    
    (cherry picked from commit d83bc62511663138a20d1a9f66b0d8a442421148)
    
    Conflicts:
    	modules/audio_output/file.c

commit 88fe9f443f75fee558bd0a9c501985e4afd8bd08
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 23:58:49 2012 +0300

    avcodec: only set min/maxrate if rc-buffer-size is set
    (cherry picked from commit 50a0ceae0ffa535512c5fd8e0952f277b1732458)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9554d1a8bb0106d4a067a70337991a67074d93b8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 23 14:04:22 2012 +0200

    fix make dist
    
    reported by eartle

commit 54de66b5771226ada3133886c06e085a5c4ec169
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 22 19:47:52 2012 +0200

    macosx: fixed Reveal-in-Finder for eastern european umlauts and probably other characters without a ISO-Latin fallback (close #7631)
    (cherry picked from commit bd544fff4fa8186436a2792aed375d08a82f635f)
    
    Conflicts:
    	modules/gui/macosx/playlist.m

commit d5f98e5d9231e8028ffd899e51d5a51d68060854
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 18 19:34:20 2012 +0200

    contrib: dvdnav: disable examples using configure option
    (cherry picked from commit 938d93aa3d958236ff4929a2d2102557fa1d3581)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e93388af5e5e4d305bb7bb325633de8b8ae75de1
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 19 16:30:55 2012 +0200

    UAC.dll: build with static libgcc/libstdc++
    (cherry picked from commit 05d0d2b0adbc21fb97bf176aa4adeadad52ae7df)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f8c5a751d4e4806eb0e449ffc83df14524c0d16a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 22 11:04:05 2012 +0200

    On the road to 2.0.5

commit a4e92ec8b5ed0cd01478111a80c8f2be19503e92
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 22 11:02:50 2012 +0200

    Contrib: Use a better revision for FFmpeg

commit c9472342d46edfd905b64b31521cf0ce815f66b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 21 10:21:26 2012 +0300

    gcrypt: add SHA-256 (fixes #7627)
    
    (cherry picked from commit cf2106da2cae9ea158c2aec59ccb0c0754a8688b)
    
    Conflicts:
    	contrib/src/gcrypt/rules.mak

commit 9701837bb454c682ba5697e665d79d6e51ae305d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 22:49:53 2012 +0300

    pulse: do not resync on suspend
    
    Suspension should not occur during playback. However, it can happen
    while the stream is starting. In that case, forgetting the
    synchronization informations is more harmful than good.
    (cherry picked from commit ac1d1616c9814e9bae1588c60bc256dc3e15508c)

commit 0554a01551ae49613062c2d96701d277000e4109
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 22:46:35 2012 +0300

    pulse: fix start time, do not confuse first and last PTS in buffer
    
    (cherry picked from commit ce87f749aef0db130f494fb8d8e9e2653e0be4f5)
    
    Conflicts:
    	modules/audio_output/pulse.c

commit eb37e40a5660d3e65c286fcb36e48326dae0d7e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 19 11:59:26 2012 +0200

    Koreus: fix on broken pages
    (cherry picked from commit 12baf681cade7228219964d5b43fa5fc8ca2c3ce)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b36256f114343eb13a8256859475fc46d62529c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 18 20:17:39 2012 +0200

    win32: Distribute all language files

commit 828f7ab6338996d69d23c9d651a63ed30900dae6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 13 17:51:03 2012 +0200

    DMO: blind fix for loader compilation
    (cherry picked from commit 5444f9a081fa5cf74b49d4f40e13ea0675d115f5)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit deac747db237a3995f9d27bc7050bd44b3fd9332
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 18 12:54:23 2012 +0200

    Contribs: update libass to 0.10.1
    (cherry picked from commit 826ec51f9d71813ceb1447d071c848b2ae467d9f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d6a6f0e53bb30a4a1e4a55a8d150af4e68b33ee
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Oct 16 23:49:54 2012 +0200

    Make Asturian(u) selectable in langlist

commit 75129fe9ec8b450591fda4176d58d4ae333d9888
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 16 23:59:38 2012 +0300

    And yet another translator that cannot read English (fixes #7605)
    
    (cherry picked from commit 17b4418856ec1cf7862f5c70f767cc8ad2f81971)

commit 5503b5d769706b042ee5c72745e49b9129e96fdd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 16 18:47:35 2012 +0300

    shm: fix capture with non page-size frame size (maybe fixes #7579)
    
    (cherry picked from commit 22203a5835c4cb44be70653c94375af309141168)

commit acff390b834f607d558969dd78e03372e1b46082
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 15 21:59:48 2012 +0200

    contrib: update libav and FFmpeg hashes

commit 811b771a9bbb4fdba3f7d188c0d2568389568f44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 15 17:34:05 2012 +0200

    Update POs

commit 72da14fa2567d973b9fd8305b37a472f878a2469
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 15 18:02:06 2012 +0300

    i420_yuy2: correct placement of target attributes
    
    (cherry picked from commit bd3d52ddece0d319d9c1adaf2e168e555d30ab6c)

commit 5884109823cdcb42fd49d7b681455d7b20acace9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 15 15:45:01 2012 +0200

    macosx: compilation fix for 10.5 and 10.6

commit 3f82ec232bf6d840e13c3bd6fa6f692a2d1f2d43
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 15 13:15:47 2012 +0200

    macosx: fixed system idle behavior on 10.8
    
    needs forward-port and testing on 10.5

commit 7e02b83ef18cb7431b9d1b822094bd7e3433e06b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 15 01:07:23 2012 +0200

    Update PO

commit 2a8e8560df9843c5cef83d1f79fa74e4d6b1bd78
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 30 23:46:55 2012 +0200

    NEWS: update
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 47d4631ac62900484fac206abdfc33a2920b07bf
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 14 18:58:18 2012 -0400

    png: Check length before read
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b3b751cb99df71e3c0a18bcb38b4691cf98265fe)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 621a3ec29fc8d874eea4c0293e509038223b4325
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 14 23:12:53 2012 +0200

    Contribs: update libpng to 1.5.13
    (cherry picked from commit 34b0ec9a540d974de8e54db85802636372260ea5)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ee30a0afb74185508f24d4523990b092fe66db8
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Oct 9 19:24:41 2012 +0900

    Qt: Show TimeTooltip window without activating it on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5f0e2c0921d9ae4c942bfc801e421999d05d602e)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c19dcec79b9a742015d48c50c62e9954c6f72d33
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Oct 9 22:41:33 2012 +0900

    Qt: Bring a timetooltip on the top on OS/2
    
    This fixes the problem that a timetooltip does not appear on fullscreen
    from the second fullscreen state change.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d473eeede4ab8b14902be07f330764f42dea181a)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 01095f123eca7cd8198d407bd8f5d2c2ad720c5e
Author: Thanakrit Chomphuming <jernghan@gmail.com>
Date:   Sun Oct 14 23:35:29 2012 +0200

    l10n: Update Thai translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f84d7e628971b7b644b695b9f2a426fdf67982b1
Author: Adnan Memija <sream_92@live.com>
Date:   Sun Oct 14 23:22:59 2012 +0200

    l10n: Update Bosnian translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a9499fadef7655c4f0f13f4f64b642862862099a
Author: Bruno Miguel Queiros <bqueiros@gmail.com>
Date:   Sun Oct 14 23:19:25 2012 +0200

    l10n: Update Portuguese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ab3b11877d4f178e760da22bcce35887dc6d9f00
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Oct 14 23:11:33 2012 +0200

    l10n: Update Estonian translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 514a5c58076ff022b92f20f33450c316d904622c
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Sun Oct 14 23:05:15 2012 +0200

    l10n: Update Breton translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f08efb3143648b92f365fc45836aa0e1a6421f9c
Author: Iñigo Varela <ivarela@softastur.org>
Date:   Sun Oct 14 22:58:35 2012 +0200

    l10n: Update Asturian translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6e6100aeba3da55b63677907ff01ef38c9ee1b27
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun Oct 14 22:34:50 2012 +0200

    l10n: Update Czech translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3ca77004b99acb706a1367bdea771aa93fd5d8aa
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Sun Oct 14 02:02:11 2012 +0800

    http: trim trailing space in field content
    
    Fix incorrect redirection given in "Location: http://host/path "
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit a05aca783e3b2a03f839d2141ee64ee835ebf1cc)

commit b60db54c29f662012425561c68d2d700cb21fdde
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:47:36 2012 +0300

    Add KDE solid support for Blu-Ray discs
    
    (cherry picked from commit 75d7b6e769325346dede1310d656df73e1b99a6b)

commit d9c1c0e1b0cacab6d6e049c5aff2de166d7a23dd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:44:44 2012 +0300

    Fix KDE solid predicate
    
    This partially reverts commit 99ebae0c04aa2ce0b3085fbba78f4245c713d9c2.
    (see http://techbase.kde.org/Development/Tutorials/Solid/Device_Actions)
    (cherry picked from commit 7df32e49d410253bdbcaf7c7411bde9386c459d8)

commit 7c1bc11f3fa6345ff4c10d2e1756d040440b4864
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 16:41:14 2012 +0300

    i420_yuy2: clobber MM and XMM registers correctly
    
    (cherry picked from commit 01924381fd15196a68f29d4cc279fb7a42f6f556)

commit 708e92e9022d3c0dd3a3ecc9b507113e33509efe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 16:21:24 2012 +0300

    sepia: clobber XMM registers correctly
    
    (cherry picked from commit a865ced4888701e8caf0137672a4857c2b0d47d7)
    
    Conflicts:
    	modules/video_filter/sepia.c

commit d879cd1f604016533ec76bef6771a74c409e5e81
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:51:48 2012 +0300

    avcodec: avoid duplicate vlc_CPU() call
    
    (cherry picked from commit 18d7c9713c4b42368789961af6bc6345ce1fc6f9)
    
    Conflicts:
    	modules/codec/avcodec/copy.c

commit 3cdabb12389ecb273f4dc7a9368a4a34853991fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:05:18 2012 +0300

    avcodec: clobber XMM registers correctly (fixes #5268)
    
    (cherry picked from commit 485a070fcaa8e6bd7985ce489d5f53edffecfdaf)

commit 066dc71dd6a7e122db0c4010eebee2baaeee6f3d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:00:01 2012 +0300

    avcodec: split generic YV12/NV12 copy out of SSE2 functions
    
    This is required by the next commit. This also avoids making two copies
    on non-x86 platforms, where USWC optimizations are irrelevant.
    (cherry picked from commit 07d8e576c7a0dcc7863d6853f620d5a99ebba55f)
    
    Conflicts:
    	modules/codec/avcodec/copy.c

commit 69eb62b3c1a53a1eec41d45707c198c65f2fa1d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 11 19:41:53 2012 +0300

    avcodec: fix spelling
    
    (cherry picked from commit 6f5810a46adfc2e5202ebaf89b54eb89e7b93934)

commit e7f4622fb5c20d1577b90ecd1f60d964d3e18345
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Oct 13 10:39:27 2012 +0900

    input: Allocate an enough buffer for UTF-8
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit f929e866e18a94b1c61b4747e56bcd2d2d818551)

commit 689e95e5c1a3e129da6f3e6a040efd22ebd13dc7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 18:17:03 2012 +0300

    avcodec: use av_get_pix_fmt_name(), fix potential out-of-band read
    
    Our custom codec names table lacked boundary checks and was incomplete.
    (cherry picked from commit 88846171954a218ca9c401b87b0a4faffb5fc385)
    
    Conflicts:
    	modules/codec/avcodec/video.c

commit e5d66497557337b9e7aa69ef1dd2a1a2b0f2ad01
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 11 19:42:03 2012 +0300

    avcodec: fix unaligned USWC copy (fixes #6333)
    
    (cherry picked from commit 39dc439cf5e3fe83b87078bcf93c13d07fd02dac)

commit 931b79aeb154bc82749b4897a0c3d2abab454d57
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 9 19:00:46 2012 +0300

    Win32: match resource character encoding (fixes #7567)
    
    (cherry picked from commit 44819779f94086ea1f21a9649af8d41754fa9ccf)

commit 0002ac1011ecadbdaad59e3a711f23063150c62c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 10 01:20:48 2012 +0200

    youtube.lua: support live streams
    
    This could use a bit more testing than a single video
    (cherry picked from commit 64e30497fa764f680c2b235757e49f6c83b85028)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 21466d50b457e453ef8fb1a52a0e12a762254db2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 10 12:58:44 2012 +0200

    macosx: don't initiate a modal dialog during a modal session (close #7575)
    (cherry picked from commit e608d2aa90a733e48cfc58f9be73f2aea8c75c94)

commit 8c372e6124e9526286f71571b18baa03550da82b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 10 11:27:55 2012 +0200

    Subsdec: various fixes for broken subtitles
    
    Close #7553
    (cherry picked from commit 26015dacd88f21d48bdebeb499dc8f331baacc19)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 920ca4e74c95899703c13125f31e3e8c180af54f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 9 19:06:46 2012 +0200

    macosx: compilation fix

commit 66162d9719168b168c9cc73de3204da986711ae1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 9 18:37:16 2012 +0200

    macosx: show the localized, intended to be user-facing encoding names instead of the variable values to the user.
    
    This way, s/he is never presented an empty menu item for the default value.
    
    This also closes #7539 by preventing stringWithUTF8String calls with empty strings.
    (cherry picked from commit d7246593be4f2484d13adaaf5bd8cbd4c8e5b812)
    
    Conflicts:
    	modules/gui/macosx/open.m

commit c2b7fa23e2c3c6c5c8303ac262b59654ccfe70a0
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 6 17:29:20 2012 +0200

    add black view to detached video window in order to avoid transparent or grey flashes

commit 6dd9853ccf6a886f146cd5b3ce5e3732f9eae9d4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Oct 2 22:57:29 2012 +0200

    Revert "macosx: use black color for detached window background"
    
    This reverts commit 31c26485ebf9212d349b9b441fe3d87068abc92a.

commit 31c26485ebf9212d349b9b441fe3d87068abc92a
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Oct 2 17:41:39 2012 +0200

    macosx: use black color for detached window background
    
    This avoids grey or transparent flashes on start
    
    (backport of 568303d7e84c1cb8a66ad694ea82e5fc7b2f4d43)

commit 413ecd64f4f34cb2c8a13edc1078d932517f9876
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 23:38:37 2012 +0200

    macosx: fixed crash due to race condition on launch
    
    The main window may be asked to update its content prior to VLCFSPanel being fully initialized
    (cherry picked from commit 8ef447a49d49598e5b022c4b2f03a3b8a6a24d98)

commit d05cf3d13ca7493bd45d4e495b91ec9b82c384e2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 23:26:48 2012 +0200

    vout_macosx: add additional sanity checks to prevent rare crashes
    (cherry picked from commit 48fcb08c1afd28d0aec079e964805254364d8dd8)

commit 0358f72c22dc24a052dce857bf39bd07316f807a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 1 22:04:20 2012 +0300

    dca: set output buffer size correctly (fixes #6509, fixes #7459)
    
    Some filters and outputs rely on the samples count (which was correct),
    others on the bytes size (which was not), accounting for why decoding
    failed only in some combinations.
    (cherry picked from commit 244a35b0301164f753a381f569181c6bd3419ad1)

commit b0255011ce7d06f323c63b85242b0fae39c39a50
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 18:18:37 2012 +0300

    tls: poll and timeout during handshake (fixes #7533)
    
    (cherry picked from commit 2f66c69631cc461ac8619d1f14561fd13a59dc08)
    
    Conflicts:
    	src/network/tls.c

commit 299dd463f8095d443a64cf027441419db3e5a0c9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 30 17:06:31 2012 +0200

    koreus.lua: decode title and description
    (cherry picked from commit 6c5a0639e7281ce93d1b1881ba45ddc2373396ff)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 6c71e02b0523a63b67c5f7cb6304e46be35eec5c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 30 17:01:21 2012 +0200

    koreus.lua: small fix-up
    (cherry picked from commit 4491de9a6b93ac1838eaa0ef89ad97eddbcf4960)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d10ea6d9b58afaada9e1fe2e4d61fee41af83b05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 24 15:30:34 2012 +0200

    Record: escape file names
    
    Close #7490
    (cherry picked from commit fe6e7e3d43238b85c9c2f2379410a5ea1c5c8247)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c68e9688305607133ce746869fb610da50364511
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Sep 14 08:51:22 2012 +0000

    base64 decode: stops after first invalid character
    (cherry picked from commit ce6521381bc24cda9c9ac4f54ae6e0b61bbcde53)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93b37f19b5cff53932ed034acb906e717ca2574b
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Tue May 29 20:42:41 2012 +0800

    httplive: parse EXT-X-MEDIA-SEQUENCE only once
    
    refs #6897
    Signed-off-by: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
    (cherry picked from commit 4ab81377158ece056cae3a45084f20efb5df79d7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5ecc28ae8ff0d2e390fb6e4dfdf77ba94703577a
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Wed May 30 17:41:35 2012 +0800

    httplive: ignore failed stream in meta list
    
    So we have chance to try other streams instead of just fail.
    Fixes #6898
    
    Signed-off-by: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
    (cherry picked from commit e71bbc493deae0a2f1c01ea06dbb5e51a555edbe)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 832874921b930e2a8a80defde57df555feae944a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 17:52:39 2012 +0300

    http: correctly strip URI scheme upon redirection (fixes #6872)
    
    Quoting the reporter:
    | According to include/vlc_access.h, access_t.psz_location is "URL with
    | the scheme stripped". But in http module, schema stays there after
    | 302 redirection. That may cause httplive module try to access URL like
    | "http://http://host/path".
    
    Pointed-out-by: bbcallen <bbcallen@gmail.com>
    (cherry picked from commit 15eb1dff90131cee1244c5d2c652b07b04816d7f)

commit 8d62bd60593c2ac55e1d8afccf832bc03471e016
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 30 12:29:08 2012 +0200

    Fix koreus parsing
    
    Close #7529
    (cherry picked from commit 89b1b06c5eb7a1a5a882b6dfd07d30d9250443be)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a85d2c120bc0e76c359c0e337b2225575b41e80d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Sep 29 22:51:23 2012 +0200

    macosx: expose the 'Karaoke' filter in the UI because we can
    
    Manual backport of 79a5d68775e135b0f7337d5300a03875588f459d since it doesn't introduce new strings.

commit fb7e2b90b172d7aec477025a3e72ce0de90ffc47
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 15:16:20 2012 +0300

    gnutls: fix memory leak in error case
    
    (cherry picked from commit 38150d6e9de4d8d382149aa2e174b565958ceef7)

commit 4087c7c0edad3db4098c02fd6003b4bb2f78aca9
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Sep 28 22:32:07 2012 +0400

    http access: advertize gzip encoding if supported (fixes #7515)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 703ecf7456a80e8c967742f9f77d9643dfc7874a)
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 0b9a93ff53c8f6562b81a99d2c08f795d45f2ccb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Sep 28 13:32:10 2012 +0200

    macosx: simplify system sleep prevention code to support both 10.7.4/10.7.5 and 10.5 (close #7521)

commit 51047a67bfcaad3b4bc05e4acb4f82729094b94c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Sep 28 04:15:49 2012 +0200

    youtube.lua: parse signature parameter
    
    It was in fact still there, but as a separate parameter. We keep the
    alternate API as a fallback for the next time things break, maybe.
    
    Ref #7471
    (cherry picked from commit 3a4021cfde854da79675fa67df47fc4f463f264b)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit b228a86f9635bedad324a17a8b02b5a7061e8d46
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Sep 18 01:13:28 2012 +0200

    youtube.lua: add comments
    (cherry picked from commit 43db5ce6cde15260be0c3fb98964f86aa6b64595)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 276e2eb46735726eff17ecda1ead08c6001db9af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 15:27:50 2012 +0200

    Contribs: update taglib to 1.8
    (cherry picked from commit 24491d22594b78ac65766db540daf2f33a950df7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f9b6461e7795adc20c12674a9430773a80579836
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:54:26 2012 +0200

    Contribs: update gnuTLS to the latest of the 2.12.x branch
    (cherry picked from commit 675443e455b833ba0fdb05206e8b414e085d874f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e07f8327b744cee6a9671833ea84a7126210ea77
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:34:06 2012 +0200

    COntribs: update to fribidi 0.19.4
    
    Yes, a release after 3 years...
    (cherry picked from commit 4e4547f4ad45f560500022932a8c2e8c63b1ffb9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 771a6648f52f24fed2b3634a1f7c108588bb6cf2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:30:57 2012 +0200

    Contribs: update tiff to 4.0.3
    (cherry picked from commit 2332198fea65aa50ea48fb7fde22b753e1e96a8f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d25cefa5e9c1f03c44322253a4b9dc5e5fa2a204
Author: Daniel Peng <dpeng@google.com>
Date:   Sat Sep 15 00:58:09 2012 -0400

    Update to 2012.09.13 version of live555.
    
    This resolves two issues with playback of RTSP-over-http streams from Foscam h.264 IP cameras.
    Combined with a small fix to modules/demux/live55.cpp, VLC now plays 'rtsp://hostname/iphone/11?user:password&' from Foscam h.264 cameras.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b2fafcee354efb6b49686307da632999f158f72c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ed46c53cd247021c762984905a2c5da8aeb7066
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 12 13:02:30 2012 +0200

    Contribs: fix lua.exe generation
    (cherry picked from commit 6cdaecdb6a12afbefd4448dc0dba3d89f416d720)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bcf2868a5f9248a89043587871579f8c731f9fff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 12:13:14 2012 +0200

    Contribs: update sha1 (again)
    
    Close #7426

commit fb32a825dc64c7586c78eaadbbac394e76737f36
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 25 22:45:20 2012 +0200

    macosx: implemented pressed state for the effects button (dark UI) (close #7408)
    (cherry picked from commit 2f747cb43fc664c5cb180e8fc92bdd78510d277e)
    
    Conflicts:
    	extras/package/macosx/vlc.xcodeproj/project.pbxproj
    	modules/gui/macosx/ControlsBar.m

commit 92c08ecd6c15aaaba9939da6cdf3efebfb579205
Author: Damien Erambert <damien.erambert@me.com>
Date:   Tue Sep 25 22:42:31 2012 +0200

    macosx: added pressed state artwork for the single effects button (dark UI)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 8fec38bc36d5e7899a6e1a70cb016697c042cf65)

commit e43cde9a0f7880d6d2b8e8c2032eb8e3ea5e5fbf
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Aug 16 22:56:20 2012 +0400

    Contribs: vpx: add patch to fix build failure on OSX 10.8.
    (cherry picked from commit eba83a2a77b7896eb6b2fd90ec9fb1f20da0e966)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 66555eb0d7a4cd20f4890b239bd75f6e315f86bd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 25 20:56:13 2012 +0200

    contrib: fixed libvpx compilation with Xcode 4.3 and later
    (cherry picked from commit a26c0ae3ec1609f95a39768f8c06802aa59a2d98)

commit 12eca33f3dd17a9778d8349a09d9922812a68ca8
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Sep 25 21:32:03 2012 +0200

    Updating AUTHORS. Still to do: the translators

commit 1decef1daee34d07e39fe3bba34729650edfea99
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 24 16:10:21 2012 +0200

    Contribs: update FFmpeg/Libav sha1
    
    This fixes most -mt deadlocks and size-change issues, except the
    H264 change
    
    Close #6579 #6533

commit a15bac03820adae2bcc43c92b4f702f86e79af0c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Sep 19 11:36:43 2012 +0200

    auhal: add callback for changes in supported audio streams
    
    This tries to fix wrong behavior when optical cable is unplugged while spdif-output is running.
    
    Currently, you will probably hear pops and you only get sound from internal speakers,
    after you changed system volume.
    (cherry picked from commit bdf858dae3bd2c81ceb2082b4c3ac36d2712d612)
    
    Conflicts:
    	modules/audio_output/auhal.c
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 748335b8305153872a2147042fe392a0ea1addd0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 18 20:26:18 2012 +0200

    NEWS: clean the OSX stuff a bit and fix translation formatting

commit 395563290e7ddbe255cd1656936f96a6755e53fd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 18 19:01:37 2012 +0200

    NEWS: fix typos and unify English locale

commit c7f64b557f510ed77a31e3700a7e7a2c99a35f32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 15 21:33:05 2012 +0300

    avcodec: disable threading by default
    
    Threading does not currently work with some codec profiles and is thus
    not suited as default. Threading is also known to deadlock in certain
    circumstances, such as if no data is ever received (a rather common
    scenario with network or DVB reception).
    
    Fixed avcodec version should be checked before this is re-enabled.
    
    Acked-by: Ilkka Ollakka <ileoo@videolan.org>
    (cherry picked from commit 8d59ba01d33c96d61db5e0e7ab9b8a30b052ebab)
    
    Conflicts:
    	modules/codec/avcodec/avcodec.c

commit 116503fa01f141c585b7fd095d44ce222f262ccc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 18 12:42:50 2012 +0200

    Update NEWS

commit 99782f407f2e6bbfcc6648b292e05a6cc91569e9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 18 11:58:23 2012 +0200

    macosx: work-around a playlist core limitation, which doesn't allow the UI to set the currently displayed root properly, so triggering a play can lead to unwanted results (close #7484)
    (cherry picked from commit 722c751deddeb6106ed18e379a1364ed85cd2f86)
    
    Conflicts:
    	modules/gui/macosx/CoreInteraction.m

commit 31407937e97d85e2d9fc7951c3ce6f79db5788b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 17 14:54:58 2012 +0200

    Update NEWS

commit fb582ac189bfee34b9b98196d104fde216472d99
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 17 14:00:11 2012 +0200

    macosx: implemented pressed state for the effects button (bright UI) (refs #7408)
    
    Manual backport of a38092cd83d85fe232a18b1e3c4581440043b742

commit f2e3d2110e978ec7b554b3e9cf86f30dbae5880f
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sun Sep 16 16:24:01 2012 +0200

    macosx: added pressed state artwork for the single effects button (bright UI)
    (cherry picked from commit 17bf09b0790a14908461b5a58b16b6e9b5f74036)

commit e61eea31cb6c68dbd41103bdd6cfd2892d8d57dc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 17 13:54:09 2012 +0200

    extras/package: added another script to sign the Delete Preferences script (close #7293)
    (cherry picked from commit 1e861aad8ed1fc551f9884a025376d80ecd7be9f)

commit 68286300eba339ab8e61221c213383012ce274f1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Sep 17 05:54:59 2012 +0200

    youtube.lua: use alternative API URL
    
    It seems that the normal URLs included in the web page miss a
    "signature" field and return 403 errors now. This approach has a number
    of issues, it requires an extra HTTP request, still seems to fail due
    to lack of signatures, and have different access restrictions than the
    the web pages.
    
    This shall meet the popular demand for now.
    
    Closes #7471
    (cherry picked from commit aaf17f6592d2cf8f122ed6d9291a8eadb4812576)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cfcfc2b4a7e5d5f0fbbd0305db1fe50b1618c44a
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Sep 16 22:45:00 2012 +0200

    i18n: adding bn_IN (Bengali India) and gu (Gujarati India) to LINGUAS

commit 7e96b86e949b0fda92cea6eceea7b2dec7e0cb56
Author: Stian Jørgensrud <stianahj@gmail.com>
Date:   Sun Sep 16 21:53:58 2012 +0200

    l10n: Update Norwegian Bokmål translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f854eec844e42aab27c901b3803a1e6974fc399f
Author: Biraj Karmakar <brnet00@gmail.com>
Date:   Sun Sep 16 21:15:28 2012 +0200

    l10n: Initial Bengali (India) translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d58b0f4d7c3b60f8d4395e2c662e02d7554fefed
Author: Ibrahima SARR <ibrahima.sarr@pulaagu.com>
Date:   Sun Sep 16 21:12:54 2012 +0200

    l10n: Initial Fulah translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6994f0ddf0f9a1724daa760ce3c352bd483162c0
Author: Goswami Hardikpuri Kishorpuri <geniushkg@gmail.com>
Date:   Sun Sep 16 21:10:48 2012 +0200

    l10n: Initial Gujarati translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1d71e7228ca4a73cc3a8fbcb73fa56c455e726f9
Author: Adnan Memija <sream_92@live.com>
Date:   Sun Sep 16 21:07:25 2012 +0200

    l10n: Initial Bosnian translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1fa600a31c6230ff9af3bfd4d7ccac7325dba216
Author: airplanez <airplanez@gmail.com>
Date:   Sun Sep 16 21:02:13 2012 +0200

    l10n: Update Korean translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b770b51f691e2a003e965168a37df519d32aac17
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Sun Sep 16 20:52:08 2012 +0200

    l10n: Update Slovak translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a0ab73004527daca2d4c526a992cfa0340eadac0
Author: Predrag Ljubenović <predragljubenovic@gmail.com>
Date:   Sun Sep 16 20:40:39 2012 +0200

    l10n: Update Serbian translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 72db97b55c1d1fd8ba4496fa63371cdfccb2d284
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Sun Sep 16 20:37:51 2012 +0200

    l10n: Update Russian Chinese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2f84be55d7989cd6fceb13475aba7f2095e991b9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 16 20:11:05 2012 +0200

    Qt: fix association crash on XP
    
    Close #2246 #4424 #7431 #5377
    (cherry picked from commit f447119e42aa353b18f8ba96ff6a52af363f8a3e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit feea6387cd40a6a09887e0c2d8dad6e1a3eb1f66
Author: Frank Chao <frank0624@gmail.com>
Date:   Sun Sep 16 19:52:37 2012 +0200

    l10n: Update Traditional Chinese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f4b638d37b0f3a023f63d5c05f4e717bdf1faff7
Author: Dean Lee <xslidian@gmail.com>
Date:   Sun Sep 16 19:51:47 2012 +0200

    l10n: Update Simplified Chinese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 03f8c2dc0572df07c0914f1c3448d5e7a88d36ad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 16 20:42:15 2012 +0300

    po: correct default encoding for Hebrew subtitles (fixes #7474)
    
    (cherry picked from commit f2d861c7341f75ee223b7859c6960d10bafdd1bf)
    
    Conflicts:
    	po/he.po

commit cf8f5f522c6e3ac29cbc74d808008a2461340eb9
Author: Bruno Miguel Queiros <bqueiros@gmail.com>
Date:   Sun Sep 16 19:31:07 2012 +0200

    l10n: Update Portuguese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 32cb6bc1adacf439fa599a1583fd3dd5247a81d8
Author: Gaëtan Rousseaux <gaytan@skynet.be>
Date:   Sun Sep 16 19:23:21 2012 +0200

    l10n: Update Walloon translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 64aa2bceebdfa3ba151b911f4569575c8ca80a21
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sun Sep 16 19:16:33 2012 +0200

    l10n: Update Turkish translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 84823069d0117d85ca1f80a0bade27d62339dbad
Author: T. Chomphuming <jernghan@gmail.com>
Date:   Sun Sep 16 19:13:06 2012 +0200

    l10n: Update Thai translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7cc190bf7acdef71f0eba22897a5552ee970fd60
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Sun Sep 16 19:08:32 2012 +0200

    l10n: Update Polish translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b2d32dca4835c62b903dec349dbb9240b0a96c99
Author: Thomas De Rocker <thomasderocker.at.h0tmail.d0t.c0m>
Date:   Sun Sep 16 19:05:36 2012 +0200

    l10n: Update Dutch translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit aae659eef470846764fe3fec1802685eecaad665
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sun Sep 16 18:46:02 2012 +0200

    l10n: Update Khmer translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 05a8bb97241ef96fe86b154776652f5eccdd8e3e
Author: Gaurav Kumar <aavrug@gmail.com>
Date:   Sun Sep 16 18:38:32 2012 +0200

    l10n: Update Hindi translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit df08a519bbfc33042d18d601d0ced35fbb5ede9d
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Sun Sep 16 18:28:23 2012 +0200

    l10n: Update Japanese translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f5a307c05f22455367e6c4e331f3e3526815e0a6
Author: Gonçalo Cordeiro <gzcordeiro@gmail.com>
Date:   Sun Sep 16 18:25:18 2012 +0200

    l10n: Update Galician translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e8c3d3ac2730812a0cbf2bd8eac71f6489c1593f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Sep 16 18:07:14 2012 +0200

    l10n: Update Hebrew translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a4c73fed9e57d0e8f1f7466d15cfb4b638490d3b
Author: Mario Siegmann <mario_siegmann@web.de>
Date:   Sun Sep 16 18:02:45 2012 +0200

    l10n: Update German translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ed541de0a05e7eb0b776ca19f341c697fef5c4ea
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Sun Sep 16 17:54:15 2012 +0200

    l10n: Update Breton translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6d36d3383460f7842c3ccaea3e875f6407650e38
Author: Michael Bauer <fios@akerbeltz.org>
Date:   Sun Sep 16 17:52:57 2012 +0200

    l10n: Update Scottish Gaelic translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 32b805c26d2fd1bbc08e131cba9acdc60e5600eb
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun Sep 16 17:50:22 2012 +0200

    l10n: Update Czech translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 0482cd9b612ef7207ee9eae269ff83889e63213e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Sep 15 14:03:39 2012 +0200

    Qt: fix album Art update
    
    Master and branch have diverged a bit more than I thought, on this
    matter.

commit c147f2db1988f1f25f8c96c0a67de396322a0296
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 14 23:56:32 2012 +0200

    Qt: set the cover art (if any) at CoverArt widget construction
    (cherry picked from commit a065e2d9a53b78037f99fa120bf2600aaaac2b85)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f7b388cde2037d006d69d551039f398851ef1d4e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 14 00:02:06 2012 +0200

    Package the .zip as a minimal installation
    
    Remove stuff that do not make sense for a portable folder
    (cherry picked from commit cd641aa27f82e65be670f062b6dcc78ae4f05d93)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f21936168e045fd3d5c9c118255c390d5f66813f
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Jul 31 15:03:12 2012 +0200

    l10n: Use translations of help messages
    (cherry picked from commit 72645d4fc730e63160be468bcb13b056a1ce93f2)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cfd1e8c8f47b984a7abe5a40b6027a4d87e92d99
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 13 16:38:36 2012 +0200

    macosx: fixed inconsitent menu label based upon existing string

commit 8ccb4f6d3a473ba06760dbdb25642d8ac7cf6f9f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 13 17:37:18 2012 +0200

    DMO: fix MSS1/MSS2 decoding
    
    Close #750 too
    (cherry picked from commit fb6b324887a427a9eb5ef92bed1fa2e8129d7923)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9ec733b0b3f7ab0d8361c74bbc137616e42175a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 13 17:36:36 2012 +0200

    DMO: support more DLLs for MSS1/MSS2
    (cherry picked from commit ca86537cc3ca180b0325195a7a4bff2c05ce608e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit adf11a53000ca3e47df9f20129a334ba18c8f1a4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 24 23:47:02 2012 +0200

    DMO: use VLC_CODEC_*
    (cherry picked from commit df878fa04342c1b0ae5a47f4171d233460de0770)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b0beb35351b9059f41db8e1d905378dd83dcd7a8
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Wed Sep 12 15:15:15 2012 +0200

    lua soundcloud: fetch artwork
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c163f06ea04ec085539d517749f442746644c0e5)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 491520518e91b2b8334f8d1fa586bc0c41db2168
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Jul 10 13:23:22 2012 +0300

    avcodec: set rc-buffer-size to 0, as it is default in ffmpeg/avconv
    (cherry picked from commit 1d981d16b744b000414cd5a2cc38db90d26d3903)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 82c1c6abb3e04af9eafae9c0b5a2c6f757c7f929
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Aug 14 16:00:41 2012 +0300

    livehttp: allow segments to be 10% shorten than asked, seems to be usual limit of allowed variance
    (cherry picked from commit 58dfd2dc56fbc91398076728d6bea3c311b1ba4b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ef0d251441325329bce6b80b8f7bbcd37a81d6e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 13 01:44:40 2012 +0200

    macosx: added support for the OPUS file and MIME types
    (cherry picked from commit ad8a5ba270d059e60ad49ea46246d435ed73732b)

commit 81f72332bc334ea09da26fad5026c76f76591a45
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 12 22:37:57 2012 +0200

    Contribs: update to the Opus release 1.0.1
    (cherry picked from commit 0f4a8e79a31a319feb400f1bdab6cb6169d6d52f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7990ac15742d6fc4ab79e0b86df4be9fc66d3c48
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 12 22:00:43 2012 +0200

    vimeo.lua: fix error case
    (cherry picked from commit 2e5c5442c8a604bd4446dc64a84f82b2426af80f)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit ffab21f8bf687c145b8dbe8ecdb58c199d96b3d0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 12 21:50:07 2012 +0200

    vimeo.lua: remove useless test
    
    This was only useful when we had several URLs to handle
    (cherry picked from commit 5e374e0a6748ad6a8d0616a43903ad8e53edc801)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c827b4b4df3df2f97392b969ba3386e6926c90f9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 12 21:09:52 2012 +0200

    vimeo.lua: remove tabs and debug output
    (cherry picked from commit ecddf0b63594b62dfb6c89c0a73ccf669f1f581b)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c5c797b17db364111c934908d963d29a244236c9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Sep 12 01:04:19 2012 +0200

    doc: install libvlc samples in proper subdirectory
    (cherry picked from commit 9cd19ad5d3daad87b4ec25a0a1c3bfdec31ff043)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 48752f027dc9261a1fa40926301ab3b08d7bf50d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Sep 11 23:45:15 2012 +0200

    Update changelog rules to 2012
    (cherry picked from commit b995c7405e4580cbdc8c93e056c1561f3158e1ef)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 2e97a1bf4e545cd37a778aae90c1706c798b1e10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 12 17:30:58 2012 +0200

    Update NEWS

commit f7fae015212800dd2f3aa89a5a9fb6e75ccb75ea
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 12 15:36:58 2012 +0200

    DirectSound: fix setting the default channel in surround cases
    (cherry picked from commit a22323f27dfb09f467128be336dc4980d61898a9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 73e2c2667134df6a12e24fca1e8115dc9e394f84
Author: François Revol <revol@free.fr>
Date:   Wed Sep 12 11:40:01 2012 +0200

    lua vimeo playlist: Remove trailing tab
    
    Signed-off-by: François Revol <revol@free.fr>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f332caaf5285d8f839063c9bbf6779d2252f497c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0dfe0525b0eaa17742acedb448bbd04edff26330
Author: François Revol <revol@free.fr>
Date:   Wed Sep 12 11:40:00 2012 +0200

    lua vimeo playlist: Handle VP6 and VP8 codecs
    
    Check which codecs are available instead of asking blindly for h264.
    
    Signed-off-by: François Revol <revol@free.fr>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 8e60ce57f9be6ccad2248c57f40dc9b364da09e7)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 11319bfaf5f368bdbf9872531070b3207534a586
Author: François Revol <revol@free.fr>
Date:   Wed Sep 12 02:38:55 2012 +0200

    lua vimeo playlist: Use new vimeo API
    
    The moogaloop flash urls are not valid anymore
    Use the html5 API instead, which gives mp4 files.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit 864864122b1a805345dd8b8dea570bf7f5c97555)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7dfeacd5e9cb50fe5f39300a763445385a0b9541
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 11 00:15:06 2012 +0200

    Win32: compile correctly UAC.dll
    (cherry picked from commit 4b95124b5f832861294c18c4e3cfb377d6f72636)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9ad3782b8bc1e651c8f574832ab6ee9996297c6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 10 19:36:14 2012 +0200

    Qt: fix a crash when using the skins
    (cherry picked from commit 7a216cf685a834d038da9b474271687167c10441)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6044d094ec6e73d0364718dbea47ca3378c8ea7e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 10 16:58:33 2012 +0200

    Qt: do not delete parented QDialogs
    
    Ref #7431 #5377
    (cherry picked from commit a2df1797f9b6b39fcb8eeb3f0d616e9713b065c5)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e70940c36006b3f7c98567ea02557891c89e16ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 10 17:09:02 2012 +0200

    Qt: selector, prevent some podcast crashes

commit ecbba65a009205196c21735eb104e3c4f5f490dc
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Sep 7 18:03:00 2012 +0300

    swscale: pass/calculate sar-info, should fix #7437
    (cherry picked from commit 0f233f4980d0440b8357de629fee7fa0741c27b3)

commit 31f1c24b125a19b096119fc843660dee3ffd0650
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Sep 7 16:13:32 2012 +0200

    macosx/wizard: allow partial extract values to be entered in a sane manner (close #4991)
    (cherry picked from commit 38faa0be67f7df1fa4eca218aa63782e66d7806c)

commit 6189b30c7d994c522eb151ae7adb21c8ebb7cb69
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Sep 7 15:59:59 2012 +0200

    macosx: revert recent wizard optimizations, since these led to undefined results with this unmaintanable code (close #7334)
    
    This commit is part of the stable branch only, since the wizard will be removed for 2.1.

commit 92df5c7d8b99007ce4946938f6b818c77fe9e89d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Apr 2 18:58:30 2012 -0400

    Update update status files URLs
    
    - add a win64 file
    - do not repeatedly define the constant part
    - use the test URL on every platform using --enable-debug, not only win32
    (cherry picked from commit 87cfa6dd719667aa1b52f09ef242832b830b6a4f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9735a6b25e6b9e04b90dc19468b2b154ddb9f948
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Sep 7 12:56:41 2012 +0200

    ogg: fix computation of vorbis stream length (close #1859)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2a19f53cfef8183170cb32be9bb84d7b07a7837b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4574b1504af7881228905e668e4fa8b23748b6cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 7 12:36:51 2012 +0200

    Forgotten mem.h inclusion

commit cd5bc6d3d99836843e8842a63854bb3d3f930cfe
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Sep 7 02:08:24 2012 +0200

    po: Remove duplicate message definitions
    
    The fixed typo generated a new string, and left the previous
    string in the .po
    Fixing the .po files thus left us with a duplicate string
    (cherry picked from commit 12b67927e9f6eb49175108dab1f6720e8a6c6302)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 28b81e881c4ba068dd085585ddc9e67e3df50341
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Sep 7 01:28:24 2012 +0200

    typo: overriden -> overridden
    (cherry picked from commit f41f46f8683b8b886a9d207074f0b6d0c4e2af1d)
    
    Conflicts:
    	po/fr.po
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit d94355ae6fdfd0197c17b24bfdf7d97c07be08c2
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Sep 7 01:20:43 2012 +0200

    Typo: bandwith -> bandwidth

commit f5b95a382e9f61b3ce1718719ed7c6c6c879686b
Author: Benjamin Drung <bdrung@debian.org>
Date:   Fri Sep 7 01:13:27 2012 +0200

    Fix typo: bandwith -> bandwidth.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 07156e7ec213f474570235b9935a9fbb270e2ece
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri May 11 20:12:29 2012 -0400

    src: Fix typo
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a7ceba8e9dc9b8e55ea520088b554feb23861de2)
    
    Conflicts:
    	src/libvlc-module.c
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 6cb68abc190a4179f47e837c393ef46f6d11c2fd
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Sep 6 12:38:49 2012 +0200

    ogg: find the length of an opus stream
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bc6a86c077196e8a48230f37e43a9167cadf97ef)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit ae71018bdd17445101a22699e2b2a7cb41050f24
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 8 22:32:54 2012 +0300

    oggseek: Reset stream after searching for the last frame
    (cherry picked from commit 78a8771f4c69bdb2080a06f8b0c8db4d5675f6b9)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit a93776b5948909b259f16bb168b1171249d7ecd4
Author: Benjamin Drung <bdrung@debian.org>
Date:   Thu Sep 6 15:07:22 2012 +0200

    Do not ship UAC.dll in source tarball.
    
    Close #7436
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit aff4cad782e0939afc520f82735ebfac27cd3b9c)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit df646e716ae4715e0d34fb72d963bd430ba11b5d
Author: Benjamin Drung <bdrung@debian.org>
Date:   Thu Sep 6 14:15:43 2012 +0200

    Fix typo: bandwith -> bandwidth.
    (cherry picked from commit 4afbaf587d11e0df32e035309cb7425f754b02c5)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 42d00957d8c69ad4d80b795dde05283236c7546e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 6 16:52:53 2012 +0200

    Explicitely include libavutil/mem.h where needed

commit 4a9cc6137e0a5ecca065652cda40e71597452d7f
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Sep 5 12:57:38 2012 +0200

    contrib: build opus by default
    (cherry picked from commit 621a5ee08b78d51876ca44c04c2c251f24f7c425)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1a7c66e510cd818b2ae604b29385be67a4a8ba59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 5 00:24:19 2012 +0200

    Update NEWS

commit 1ce7158d1f45aa4059704ed467e5df3e3f71750a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 5 00:01:32 2012 +0200

    Contribs: update Opus to 1.0.1-rc3
    (cherry picked from commit fbe2c9bcf9424fa6cf510257f92c739e2f1d43ad)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2d582b6e64c33c1f1be335d56224c4d75f57ed72
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Aug 6 17:50:44 2012 +0200

    contrib: add opus
    
    (cherry picked from commit 3e954c9811e72ef7486be92723bb96f7e5b4af06)
    (cherry picked from commit 0f82e032376e3d03f11530745ca4047195d3ba2c)
    (cherry picked from commit f559e33ca77317b9c43630bdaf5484ef419fb757)
    (cherry picked from commit 67b2f035a8e602c266c9b20f0a48ab8f399b538b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9f55fe99ad419230b59145bbab4e37621a8b3fdf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 20 10:30:58 2012 +0200

    Contribs: update live555 after 8 months...
    (cherry picked from commit c98e5d95fc63c36262fa6a72475ec00ab10dc0c9)
    (cherry picked from commit ba1a4be18a0fb217ee5daa7e29f1bd968d02a1be)
    (cherry picked from commit c3977541cf1e47c39e95768a1824ad33b7496c58)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b0935f27f8d52bc99e52bffaca631bb8d63d587f
Author: Varphone Wong <varphone@gmail.com>
Date:   Sat Aug 18 13:47:07 2012 +0800

    contrib: check is dxva2api.h already exists before install
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 64aa5fae9243b27c5c29121c90a6f7739f017e49)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d555372fa5382e461965512a79d07f1fba4b105
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 4 11:25:39 2012 +0200

    Contribs: use dvdnav fork on github
    
    Bored as hell of those crashes...
    (cherry picked from commit d84b8db93bce76f078f190505226924c0c4cd3cc)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 772848e811a9580e8fd702bcbf1ac70ae33bdf8e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Sep 4 14:11:40 2012 +0200

    contrib: install .pc file for ncursesw
    (cherry picked from commit 8494d6cd31987e69dc623ed3557f653cfb1198c0)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ca6e16f0fe819a645092cd146ffd45ff5099725
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Tue Sep 4 00:15:37 2012 +0200

    Opus decoder.
    
    Manually backported from af4805700c96f17972ab6d3292404f9248be2b90
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 94d204fb190d0495c6382581cb40712e32548a24
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Sun Sep 2 15:24:03 2012 -0700

    Fix 0-byte Ogg packet handling.
    
    This stops rejecting 0-byte packets, adds checks everywhere we
    access the first byte of a packet, updates the th_decode_packetin()
    return value checking so that duplicate frames aren't thrown away,
    and updates video pts generation so the resulting frames are
    displayed correctly,
    
    Fixes bug #3416.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 9c7198eaeda34f791fd007287e4089099ed70e22)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bf83512852485a6d46b38749d5a001234b1c6c31
Author: Timothy B. Terriberry <tterribe@xiph.org>
Date:   Sun Sep 2 07:36:44 2012 -0700

    Opus demuxing fixes.
    
    This properly handles pre-skip, seeking pre-roll, and end-trim. It
    uses the i_nb_samples field of block_t to signal to the decoder how
    many samples should be returned after (possibly) skipping some at
    the start of the block (for both pre-skip and pre-roll). In
    addition, it abuses the i_length field of block_t to signal to the
    decoder how many samples to trim from the end of the packet (for
    end-trimming).
    
    This patch does not compute correct timestamps for streams which
    start at a non-zero offset (e.g., live streams joined in the
    middle), nor does it correctly compute the length of a stream. But
    neither of those things work for Vorbis, either. I'm leaving them
    for a follow-up patch.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 675072a8a6a520f79e9892e26ff3be98b069df7a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 410a101388fc980d71f199d65853004e956848ff
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 8 22:06:52 2012 +0300

    oggseek: Fix trailing whitespaces
    (cherry picked from commit 84dc54e0852ea57671bb67d48259d0556e9e6703)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 004f14468e5a94ea0ef38147d287ace13b02ac0b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 8 12:33:09 2012 +0200

    Ogg: factorize switch for Metadata
    (cherry picked from commit 52acf910743de642a4044d8fd0b8b0b2dcd0ef00)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9fd30bf5f0321119adbdf1add47b9cfa42ed6d3a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 8 22:48:32 2012 +0300

    ogg: Fix theora length computing.
    
    Fix #1859 #6983
    (cherry picked from commit e80525ad5743f2117ac89327c88c98516946f26f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c46f9de856f2ce83bc1dbb1a0be1171f90cc8fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Apr 5 21:56:17 2012 +0200

    Ogg: permit attachments
    (cherry picked from commit fd94f73fff0b26bbb6465831618dc33b1f5bef3b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f6fc507540c6f7f3f11238a3e0812c9dcd931afd
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Jun 30 14:54:16 2012 +0300

    ogg: Use unlikely()
    (cherry picked from commit 300b4d59e370e02af65f215789643ff09550577d)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5578301cab0379400643b6b5eaeec365c4608b39
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Mar 30 21:52:18 2012 +0300

    ogg: use ES_OUT_SET_PCR instead of RESET_PCR in demuxing
    
    Only difference seems to be that in ES_OUT_SET_PCR we don't
    have msg_Err showing up while playing ogg files
    (cherry picked from commit 7ed15b7180e62d9bfdc218ede60f3b5ed4c931a6)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 832c7b27da19ff98ad01bcca94f2b8fbf9c3ed33
Author: Gregory Maxwell <greg@xiph.org>
Date:   Tue Aug 7 15:42:05 2012 +0200

    Ogg demux: add Opus support
    
    Modified-by: Rafaël Carré <funman@videolan.org>
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 7258c97afdf6e8209a1be5c8ce707e6040c38454)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 91ed1b12745799f62e18f93e092cfb169822ac3e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Aug 6 22:56:03 2012 +0200

    Add Opus FourCC
    (cherry picked from commit 3f17ad711a4b073ef27bf718740eaf8913be1c68)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5aa28459cd3f678b4eb8bc474603f2faad6ec4ab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Sep 3 18:21:13 2012 +0300

    http: fix HTTP through proxy (fixes #7417)
    
    (cherry picked from commit b68f50f1ff7dc742346fb5a1e0f888e549f0ba91)

commit f4d83b9a742e66126e4b63f5354123ac801dc161
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 2 13:49:15 2012 +0200

    macosx: for sakes of simplicity, assume that OSX_LION equals OSX_MOUNTAIN_LION everywhere
    
    (but not the other way around of course)

commit 25128f37dc3a564bce8d368333d8217c7d1314e9
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Wed Aug 29 16:44:16 2012 +0200

    contrib: libass added fontconfig font search paths for OS X.
    
    On OS X, fontconfig searches font only from /System/Library/Fonts, so this patch adds more search paths to its initialization.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 6bad0899ef262508992233fb12c35578f10165d5)

commit 0401bdcdfec500db466fc875133e0890779190d2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Sep 1 11:57:58 2012 +0200

    auhal: fixed audio device configuration callback and added an additional callback to watch the used device's health (close #4834)
    (cherry picked from commit 8fbb1fd08399f3a29c0c4850bac2c03e40997099)
    
    Conflicts:
    	modules/audio_output/auhal.c

commit be1b84a5544fa80514662f44d42fe6e429807c5c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 30 23:34:51 2012 +0300

    ncurses: rewrite configure detection with pkg-config
    
    This makes sure that the correct header files are checked and used.
    That is to say the ncursesw headers as opposed to ncurses.
    (cherry picked from commit 65d11fbb2ab3ca24a3df687b65b1837286d23329)
    
    Conflicts:
    	configure.ac

commit b0a6030279fb00d847bbaa8c54e5ed797f54c8b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 30 23:33:21 2012 +0300

    dtv: accept frequency as low as 50 MHz (fixes #7406)
    
    (cherry picked from commit d17ebaf154b252c794eef4326065886c5c750bf5)

commit e60b9b8f9e8e991617eba0e391a49e0e22f51215
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 30 21:48:37 2012 +0200

    Skins2: blind attempt to fix a ThemeRepository crash
    
    Top crash on Skins2 module on Win32
    (cherry picked from commit 9e76fdbc6e1e1243c59126688f23141329f10461)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c8485c5eff2f1568ea6a4d2cde5b54c93b68d79
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Aug 29 14:21:24 2012 +0200

    Build contribs with debugging symbols
    (cherry picked from commit 691b9c33ec4991bfaeb91eb5afb97aee30d02f13)
    (cherry picked from commit f19d35a1efbe3f0da445f30d594c11d129d5bc26)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit be0e5b9bdb88bca67dae52f8b3afc27c4f67fee5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 29 20:10:25 2012 +0200

    audiobargraph: fix memory leak.
    (cherry picked from commit 6633ef04bdbcd73524b920a01f4dbe758f289e08)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b82579c0adc029b784b4f50887dc7595799e5d32
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 29 20:08:14 2012 +0200

    rc: fix some memory leaks.
    (cherry picked from commit 0813e08f0be94a42114440ebe07d41bec5555c93)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 55c7a24ddd0b080de5415da90b0364842db212aa
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 29 19:30:58 2012 +0200

    taglib: fix potential null dereference.
    (cherry picked from commit e7bfbd1dd509bb8bf569ce59c63b633f2ef9fc9a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d7567c3f13b2e2780eae1fb9cbd698fb1b92e547
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 29 19:11:11 2012 +0200

    Fix potential file handler leak.
    (cherry picked from commit a1dbddfa016acddef880829de54c67a10c3a730a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 84f41b3a704c24645e2e45fd627a754d89bca2e9
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Aug 29 19:09:56 2012 +0200

    Fix potential memory leak.
    (cherry picked from commit 816e52c8f10798ed014b36362b846a0f46a3358e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 882b1c348dd7c6fb7027e6bca6ad64644bee1493
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Jun 28 20:16:21 2012 +0200

    http_live: Fix off-by-one.
    (cherry picked from commit ea87467e04fb47498f13e15f1e4ce6095129132f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8856ef80390d7a7077011fe1848c050405be9f7d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 15:23:30 2012 +0200

    extras/package: disable the macosx dialog provider in VLC.app release builds, since it should only be used by VLCKit
    (cherry picked from commit 1c76df001e79fe965e20816d8c46c6ed20f45cb5)
    
    Conflicts:
    	extras/package/macosx/configure.sh

commit 361134fa2472a58b04a81ab0148d4cf2065a9716
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 19 15:09:35 2012 +0200

    contrib/caca: fixed compilation with llvm-gcc by disabling some inline ASM
    (cherry picked from commit dfb4fa14a2624885422906176dd0f513cf8a6677)

commit 92c6cf6d2e392c4d4f63b6a8a2d8e7c302a23925
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 13:12:27 2012 +0200

    macosx: fail silently when crash log delivery gives an error
    (cherry picked from commit 42dd17214ba206318057843063236011c940050d)

commit 046a4dd12b7f0551a3a951a407b9583bbe1df7e2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Aug 28 17:46:36 2012 +0200

    contrib/bghudappkit: updated xcode4 patch to create an ibplugin, which can actually be used for production
    
    Basically, MACOSX_DEPLOYMENT_TARGET was set incorrectly in the previous patch.
    (cherry picked from commit 512b0a37768954aee13f08f55517025c1b230b9b)

commit e4cc885a18e91e0b32066a0e5e403484d9be5afc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 19 15:10:42 2012 +0200

    contrib/bghudappkit: patch to upgrade the xcodeproj used for compilation
    (cherry picked from commit 643d29c97c787139a1f8d45c5c756814635d92eb)

commit ee1cc51e653614a74dce3c980cd03561e06428ab
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Aug 17 21:39:27 2012 +0900

    dmo: use VLC BITMAPINFO types
    
    close #5950
    (cherry picked from commit 22466842dec9b8d707e5ae44b3151076787af7a5)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9febc4cd80770e1ab133b336d1c3a73b97b2357
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Aug 17 21:39:26 2012 +0900

    atmo: include vlc_codecs.h to get BITMAP definitions (cherry picked from commit 0398b0c82e0b043de6404e1bad2ab0ecf2bcc31c)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 683f40b76c918bfa8b4091099972f2c999b1527c
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Aug 17 21:39:25 2012 +0900

    atmo: revert rename of BITMAPFILEHEADER
    
    vlc headers don't declare it
    This should perhaps be changed but that requires special look to atmo
    code since this plugins mixes cross-platform and windows code, and vlc
    and undocumented standalone compilation
    (cherry picked from commit c61bc9f4f972f5a78990370650960b1ee91c102d)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3933f2530e4c35196e7deb38c0605f614c8f862a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Fri Aug 17 21:39:24 2012 +0900

    Replace the bitmap structures of Microsoft with ones of VLC
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    Modified-by: Rafaël Carré <funman@videolan.org>
        ... Replace them in ASF demux as well
    (cherry picked from commit a67afb66baa2aaffeaf71d3b319f44151a5c2516)
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 89ab9f180ecd30977a15eb52ffe58c8b72b0fb72
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 26 19:50:24 2012 +0200

    macosx: use a modern system sleep prevention mechanism for the 64bit builds (close #7391)
    
    This is a manual backport of 4a47fcb16. Regrettably, this API was introduced in 10.6 so there is no way to make it work for the legacy 32bit platforms.
    
    The benefit of this approach is that VLC can differenciate between system and screen sleep, so it can allow the system to turn off the screen while playing audio-only media.

commit 970c0c6562161609a8571e39cbe7d15e69f96455
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Thu May 17 02:30:07 2012 +0200

    dbus: Fix seek detection
    
    Closes: #6802
    (cherry picked from commit 1b2ae82caddba30d5ea32317997d4464957e582c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a97f94fa39c2255e651c3dd921d19f964568eeb4
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Sat May 12 20:54:33 2012 +0200

    single instance: append tracks as specified in MPRIS 2.2
    
    Use /org/mpris/MediaPlayer2/TrackList/Append instead of / as the
    AfterTrack argument to org.mpris.MediaPlayer2.AddTrack for appending
    (cherry picked from commit 0376739feee15fa4636e30e7c85f1be97f2d74f9)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b573cdc750fed013c52557ab2112dd38b0b4b92
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Sat May 12 15:27:18 2012 +0200

    single instance: Avoid initializing twice because of dbus activation
    
    The single instance mode currently tries to contact another VLC instance
    through dbus in order to find out if one is running. With dbus activation,
    it results to the dbus daemon launching a new VLC instance while the
    first one blocks until the new one answers the call
    
    This patch uses org.freedesktop.DBus.NameHasOwner instead in order to get
    an answer from the dbus daemon without it launching a second instance.
    (cherry picked from commit bcc158b70019bdd2d1ab647173cb1ea41751f706)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc38610009f3fb305f14d99db7fac50b41db1483
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Tue May 1 21:16:34 2012 +0200

    dbus: Use the AfterTrack parameter in the tracklist's Add method
    (cherry picked from commit b64a3e09ece630d1843058df48b3aa3f8c00ebbc)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 605bf8c3efd59f2d9da8a3882808509cd4b65f00
Author: Sean Robinson <seankrobinson@gmail.com>
Date:   Sun Apr 15 18:51:46 2012 -0700

    dbus: Fix the CanSeek property getter
    
    Close the D-Bus message when sending the value of the CanSeek property
    in the Player object.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit bc2987f3e14694a90bae1c8b3aaede8519a950a3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 99ceea05ccf3a9289f5ba95d84bb06bc428077e0
Author: Sean Robinson <seankrobinson@gmail.com>
Date:   Sun Apr 15 18:39:26 2012 -0700

    dbus: Fix the Seek method's introspection data
    
    The position is an input parameter, not a return value.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit d77c14f084c50ec3d5bd20fc09f0057e397d01ca)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0eb8e52b9370de165935e65df4b62d99ea9fa7e
Author: Sean Robinson <seankrobinson@gmail.com>
Date:   Sun Apr 15 18:32:08 2012 -0700

    dbus: Return an int64 in the Position property getter
    
    According to the MPRIS specification, the Position property of the
    Player object must be an int64.
    
    dbus microsecond position overflows the unsigned 32-bit integer at
    about 35:48 into a track's playback.  A 64-bit integer still means
    an overflow, but after more than 292000 years into a track's playback.
    
    Signed-off-by: Mirsal Ennaime <mirsal@videolan.org>
    (cherry picked from commit 7531cecfd40941a7d21b4566cc3b0ee964290090)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f3006c702ca1125819761793e7f1a00fa8e27d85
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 18 19:12:29 2012 +0200

    dbus: remove excessive main loop debugging
    (cherry picked from commit 485d2aa510d1067af31c479964e7235da146ac4f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8635ad7c688857744722c05b34544374bad9b98b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 6 22:45:55 2012 +0200

    dbus: really remove the configuration option
    
    (The previous commit only made it inoperant)
    (cherry picked from commit d9f36235b8671491e6ec14c0ce4bbce337bcdc06)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f05be1cbf169a6d6b135ec92e966a83ccd1905fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 6 22:42:25 2012 +0200

    dbus: do not spam at startup
    (cherry picked from commit 63b3ed339d118757ec7dd112a78845046c00569b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e0a45cc80868d2340c2cf43aa88f5f590a59f5a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 6 22:41:34 2012 +0200

    dbus: remove silly configuration option regarding unique name
    
    Register both names unique and not. Fail if the unique name cannot be
    obtained.
    (cherry picked from commit daf9bb252d940d3194d74620a127a8d0df7c81d2)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5404917e61a1987d490f9e3342798c88c9e768ca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 26 14:30:31 2012 +0200

    macosx: when resetting VLC's config in the prefs panels, also reset the OS X specific NSDefaults
    (cherry picked from commit 85a9ef4fcb2019f29504900fdb104a60ec995f65)

commit 111d6a255db16d7aa234ce87d7911ccad2520461
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Aug 24 20:02:54 2012 +0200

    macosx/wizard: add missing error handling
    (cherry picked from commit 6100eb881537499c6de97bd5cb43c70f56455de1)

commit b9dc1b7deabd9bf96bd9d8be2a3b22210e71b2f2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Aug 24 20:00:03 2012 +0200

    macosx/playlist: add missing error handling
    (cherry picked from commit 5feeba277311d1d3215016dc7ce1e17e79c922f1)

commit efbf668dbefab0aa36218035f064aafe444cd4ee
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Aug 24 19:48:31 2012 +0200

    macosx/applescript: add missing error handling
    (cherry picked from commit 0dd9d856c522526594e0903336fc7b1db362b071)

commit 7b28d2e75eae222a2e8e773d297baa5864e5a60b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Aug 25 13:13:07 2012 +0200

    macosx: fixed drawing issue when expanding the main window after collapsing
    
    Inspired by efbad059

commit ad0e05bf7c86b1abab62b071437b094854c95bb2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 18:13:49 2012 +0200

    macosx: improve main window initialization
    
    This targets the same issue as 5b8a4057, but in a saner approach
    (cherry picked from commit f0a7d9a4906754d9c4c5f84354953e8bda79f535)
    
    Conflicts:
    	extras/package/macosx/Resources/English.lproj/MainMenu.xib

commit 653794fff3c22f0a64775e48f14146b5502cf8d7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 18:07:21 2012 +0200

    macosx/playlist: add another sanity check and simplify the code a bit
    (cherry picked from commit 1c2af88fd9d41ffb379ff4de6f59565f16d1df0e)

commit 3f2488d6aea3946a55b489bae2c2b5865b5905d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 24 18:06:12 2012 +0300

    file: set the non-blocking flag on pipes and sockets passed as fd://
    
    (cherry picked from commit ed68c13dee214d79d4c9c9632e4bac4b5714da32)

commit 58faf523c19bb0a90234427b923488bfc3e531af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 23 22:16:02 2012 +0200

    FR: fix a typo

commit 29c14957ca1e811c0e47a267b2140f9d0db91332
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 23 16:01:27 2012 +0200

    Win32: display stacktrace before modules list
    
    Stacktraces are more important than modules list, and we cut the data
    after 10k...
    
    (cherry picked from commit 9b77e1043394420137c674d47d9d9d265708eba2)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit abbcafeb4e0755bae9924c415ca9ea9394cff0fd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 23 14:07:46 2012 +0200

    MKV: fix typo in metadata

commit cbe5e36fc00053c8f5cf35ecf08f65025ab55a49
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 23 14:04:34 2012 +0200

    MKV: do not set a date in UTC format
    
    We do not know how to display it anyway
    (cherry picked from commit 6b00c288897b76217f81cb61257ab460dea7d279)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 965a0bb5862afd9a4b9244aa1c2b2f19a49ac7a0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 17:46:24 2012 +0200

    macosx: fixed potential race condition
    
    items stored in a xib should only interacted with after its loaded, which may be after NSApp is
    (cherry picked from commit 1de6f93432e1be15cd58966f951f27fd543e9fb5)

commit 243c1fb61ae1b8fd8f60622e8d30caff000a6e94
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 16:38:43 2012 +0200

    macosx/playlist: add another sanity check
    (cherry picked from commit e32da3cbef3f10e311f00d0a68e2037939a292dc)

commit 5175451c90d066c99c17793559fcec1f289e5cb1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 22 15:45:45 2012 +0200

    Core: display $Z as Artist - Title
    
    This is more coherent with the rest of the worlds...
    (cherry picked from commit 1c81c0863ba03ec8022aed8a8e3bac81884dd509)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 747ca86299160d2224b515d3f2b6d48944587ef9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 16:16:05 2012 +0200

    macosx: fixed random debug message crash
    (cherry picked from commit 8564f347c93455da29ebd65cbc5d2540b259e90a)

commit 0e79f6ff1d6fcfe13d557b4114c4769e4687b0ef
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 16:16:46 2012 +0200

    macosx/playlist: added missing sanity check
    (cherry picked from commit 17c0becaf161355c19c554fd472cefdfbe1b41eb)

commit 366d2126cc3afb0294932ed25629622bf57b7721
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 16:16:27 2012 +0200

    macosx/open: added missing sanity checks
    (cherry picked from commit e139c96cdabca52827db8843d9aaa41eb50460a1)

commit 3acd873e613c546132953296ce3614fef39d8de5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 16:12:23 2012 +0200

    macosx: fixed warning

commit 11fc0b736ef18397a3e423853972a577b7043d8b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 15:25:41 2012 +0200

    macosx: fixed crash in CoreDialogs when closing the progress panel
    (cherry picked from commit 52576ea50e1cb5d2fbb3ceba958128dc81ed13b9)

commit d83976cd2d5cdeba6bbf749ab19cfb2836e036f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 15:48:01 2012 +0200

    macosx: fixed crash when setting up the video output
    
    AppKit could be accessed by a non-main-thread
    
    This is a manual backport of 9dd2f6ed46b8c4bb0399693dbb3f91d7efbfabb0

commit 669e67ba1ed8d2176bc9da8cd701d14cfc07a717
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 11:40:11 2012 +0200

    macosx: update crash log server DNS
    (cherry picked from commit 99acb947148500868c28998106e8af89555e2529)

commit 9ce7bc8e92eaefc1027f3cf1c0bc492f56d8f576
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 11:03:51 2012 +0200

    macosx: fixed crashlog lookup on Mountain Lion
    (cherry picked from commit aaec0d4e1d1331645a61419345534498e976fe2d)

commit fc6d6a0e5d394dd3538ff72e216ed53404ba894a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 22 11:02:57 2012 +0200

    macosx: update check for Lion and add another one for Mountain Lion
    (cherry picked from commit 0849d6e510d6e46a9a90f24d96fc800dfbdeb998)

commit 3ae9d98932a785974621dca1245f191bd0a79705
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 21 23:29:00 2012 +0300

    ftp: memory leak
    
    (not cherry-picked from commit 2b9e7ac1...)

commit 246951ccba84c9154349c50c01c9f6c8ff2d7a9d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 21 16:59:42 2012 +0300

    var_LocationParse(): accept semicolon as separator
    
    This is for backward compatibility with existing VLC playlists and
    VLC playlist generators.
    (cherry picked from commit cb9a583ca2434457162da922548371cd30be7675)

commit 8d6ca0d73b9091c9e0ff7647ab9d9a3de6f68187
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 20 17:33:27 2012 +0300

    XCB: key symbols list update
    
    (cherry picked from commit 55cb3971ca07c3ca103231e7d5f7ed939233bd09)

commit 5cb3fe07f4eaa37b10b9ace457e620f7c04ea140
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 20 16:39:14 2012 +0200

    Qt: allow selection of 2.x style
    
    Close #7108
    (cherry picked from commit a8aa5d64069abf6c8ea43532ec2bd09274984564)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2a37d93c6429fc5d8483ea4beb5caadc10ab7902
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 20 15:55:32 2012 +0300

    Qt4: simplify and hopefully fix progress bar deletion
    
    This should fix LP#947156.
    (cherry picked from commit f36c50b0a05478a64f9c8a9b2df657ab625812d9)
    
    Conflicts:
    	modules/gui/qt4/dialogs/external.cpp

commit 0fca9c10f63dabc82b7d357a3b5835b5e0efdd4e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 20 15:43:28 2012 +0300

    Revert "Qt: external progressBar, simplification for win32 style"
    
    This mostly reverts commit 7240444db88efabeea7e85310864f6b48c19537e.
    This broke threading rules for Qt4 GUI.
    
    Conflicts:
    	modules/gui/qt4/dialogs/external.cpp
    (cherry picked from commit 29de0421e5c6b377cf6267da1b638c80507419b1)

commit af84e815faf594697b0e9b94d6bf356833c71efa
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Aug 20 15:00:30 2012 +0200

    macosx/configure.sh: disable the caca vout by default

commit 3df41cb62cc53da20d8f859c37cbba7dc49fe6ae
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Aug 17 14:39:56 2012 +0200

    contrib: fixed SDK lookup using Xcode 4.2 or later
    (cherry picked from commit 6b521aafb0b4db719cd4b6a173b51f27971c9fec)
    
    Conflicts:
    
    	contrib/bootstrap
    	contrib/src/main.mak

commit d9f701924d900821cd77c0575a2b77dd5c2d788c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 20 15:21:07 2012 +0300

    Qt4: fix compressor and spatializer initializer order (fixes #7296)
    
    (cherry picked from commit accf189a2554fb52e4a362be55124f13f510fdfb)

commit 31ee7dec1fa320b7b65f5235551c835496a2d422
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 20 00:42:42 2012 +0300

    contrib: gcrypt: add SHA-256 for GnuTLS
    (cherry picked from commit adc154c0cf91cac72b31907acbf400d71e8dd24e)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ae296115f09facb2004fc7537d9484c3136fa1cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Apr 17 20:25:03 2012 +0300

    Qt4: override playlist configuration on request, _not_ on exit
    
    Fixes #6346.
    (cherry picked from commit 212b20ddf01c4eef7817e34a8107620bdff170ed)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bb4b1b5f5778a31b40849b1ab5da5ba90099a14a
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sat Aug 18 00:35:48 2012 +0200

    l10n: German update

commit c4823b936db7c0c4f80776010b66af97605fd398
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Aug 17 11:05:16 2012 +0200

    NEWS for 2.0.4

commit d200f5731e5ac26392e41d8acfdf9668959adb43
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Aug 17 02:08:58 2012 +0200

    D3D: Fix wallpaper mode under Win7
    
    Close #7348
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 42480e9fe9f1b4a39d566c5d85aeae92706a3934)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 200bcb49377636df1e618cfbbe0ff1b1d5c46e70
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Aug 16 15:08:25 2012 +0200

    Qt: InputManager: UpdateMeta() on Item change. (fix #7321)
    (cherry picked from commit b54356d11dbafa1d3cce837b43faeedb9413941b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8f0ee34d6a8ef91d6f35e12e9640c53bfb823657
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Aug 5 23:50:53 2012 +0200

    Qt: Support disc drives probing for OS/2
    
    (cherry picked from commit bcc966adc2519d3edcec86a7221bdefcfb4aa22c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    
    With some adpation to 2.0 branch
    
    Signed-off-by: KO Myung-Hun <komh@chollian.net>

commit 717f28a0767a23c8b960a149f3873b9c1fcabaea
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 16 13:49:32 2012 +0200

    macosx: fixed setting the following options on the command line: 'macosx-vdev', 'macosx-nativefullscreenmode', 'macosx-video-autoresize', 'macosx-black', 'macosx-mediakeys', 'macosx-appleremote'
    
    This also closes #5892.
    
    This is a manual backport of 7f0b026896bf32365a641b54bc9d88d95d45885d

commit 408240ed21b1ea0249b9552ba516cdbe835478ca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 16 13:44:56 2012 +0200

    macosx: fixed 'video-deco' and 'embedded-video' recognition when set on the command-line
    
    Manually back-ported from e5d1d74558f5b116e10792e44e8aa85df0017fd2

commit 39a6915679a8da769b5d1326ba39e80ace77dde7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 16 12:40:42 2012 +0200

    Qt: set ttl on sout correctly. Close #2631

commit 5deee43b1f85a8def839aafa65967e65a4fab074
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Aug 15 10:11:53 2012 +0300

    Qt4: fix types conversion in extended preferences

commit 6f1bad2aeacfde77e8ddcde1fc333825014334f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 13 22:09:50 2012 +0300

    PulseAudio: do not assume sysconf() returns a finite value
    
    (Here -1 means infinity.)
    (cherry picked from commit 191f071695d272e99de17787d33e773606656430)

commit a8377747ad6e87f1a491345c19177f6490c3b144
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 11 23:23:36 2012 +0300

    Qt4: /dev/dvb/adapter is Linux DVB, not just Linux
    
    This is also used on *BSD systems.
    (cherry picked from commit 052974831b2b50682a37933c992d2606fe1845b3)

commit 56553ea8d49e24d13b30ec9cd1fb9e9e08a05ea5
Author: Zoran Turalija <zoran.turalija@gmail.com>
Date:   Sat Aug 11 23:18:48 2012 +0300

    dtv multisat: Allow command line option dvb-satno.
    
    With this option marked as unsafe, it is not possible to use it and
    as a result, it is not possible to tune to different satellite on
    different DiSEqC LNB.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 06683a063d0aa4096ff92edaa036d70853ec4b98)

commit 96991da8c0c00da76c552d2cf9daadf3fb531f90
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 11 23:16:38 2012 +0300

    DTV: do not assume __linux__ == HAVE_LINUX_DVB
    
    This should fix DVB on *BSD.
    (cherry picked from commit bfcefbf2b35650c8149ed9e94890f669187c8a50)

commit 826d649eb88ff06bec7840f2e261769b297ef307
Author: Geraud CONTINSOUZAS <geraud@gcu.info>
Date:   Tue Jan 3 09:55:39 2012 +1100

    fix missing reference for _POSIX_HOST_NAME_MAX on FreeBSD.
    
    FreeBSD declares it in limits.h. Add the proper include.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 62046de312966ae0c726f52dcdd66fb439b2d6d8)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8ca3eb9b8c63e6f7f817bc53717a96c7cbb24538
Author: Zoran Turalija <zoran.turalija@gmail.com>
Date:   Fri Aug 10 17:13:09 2012 +0200

    dtv multisat: Set dvb_diseqc_master_cmd command length.
    
    FE_DISEQC_SEND_MASTER_CMD will fail if command length is not set,
    preventing multi-satellite tunning using DiSEqC switch.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit cfb1f18ec5543abfa35050600377548b69e6907a)

commit 7b2fee05a21ca9df7cd1b23054aa23d066a2837e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 9 21:21:43 2012 +0300

    News

commit 67c40ab2f510055c91a854d691419f2943bfd20c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 9 21:16:27 2012 +0300

    PulseAudio: print debug if we cannot estimate the start time
    
    (cherry picked from commit 9309fb85a95717a64e6ac3634ffdfbb2d56c551e)

commit b1568196ab7431076beac3385201dd2ef85fd952
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 9 21:10:23 2012 +0300

    PulseAudio: mark stream non-monotonic
    
    In some cases, that gets more accurate timing meaurements faster.
    
    VLC does not use pa_stream_get_time(), so there is certainly no need
    for pa_stream_get_time() to return monotonic values.
    (cherry picked from commit 44bf8bbcb3fbd1d6c04c2ed8eec27f75f8faf340)

commit 472b7408ef57daf5715545c8c90437b6b4e5ee5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 9 20:57:10 2012 +0300

    PulseAudio: do not ignore latency updates before stream trigger
    
    Such a latency update is an opportunity to reschedule the stream
    trigger time, or to trigger immediately if late. That can reduce the
    initial audio delay in some cases.
    (cherry picked from commit 1b06737a297cc5b9c48dd12e2e456b45bc6891d2)

commit b9aa608bbb53c892ba83ee999ac4be61b68d84cd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 9 17:10:47 2012 +0200

    macosx: disable virtually all CoreAnimation effects in the main window on Leopard (close #7047)
    (cherry picked from commit 6e56b492f796a458e06dc21d29d534849af12fd8)
    
    Conflicts:
    	extras/package/macosx/Resources/English.lproj/MainMenu.xib

commit 2039e05517bec3fadf60e4ece00025854f416a6b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Aug 9 12:26:09 2012 +0200

    macosx: fix and clean-up the bookmarks code (close #6947)
    
    The code is far from being great, but it matches the Qt intf now.
    (cherry picked from commit cd612818db02b7831bec1d72e0a864f968daed6a)
    
    Conflicts:
    	modules/gui/macosx/bookmarks.m

commit d8ee86a46aaa158be40aa5824c55a3e6f9fc456a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 9 17:27:36 2012 +0300

    Spelling fix
    
    (cherry picked from commit 44488d6d4cd586d9cafc9f5a0a2325a6a5285be2)

commit 42793363cb27c60e0f43cb7e045d5db979e5730a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Aug 8 10:41:19 2012 +0300

    mod: do not attempt to parse standard MIDI files
    
    VLC has a native parser with higher priority. So ModPlug only got to
    parse the broken files that VLC rejected. ModPlug is not robust and it
    crashes in that case.
    (cherry picked from commit 76b15d4038e1f2200ab463c275c0854848de8671)

commit 386dd0e069e36212506db0d65664c81b5ae80326
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 8 00:22:00 2012 +0200

    Contribs: update libxml2 to 2.8.0
    (cherry picked from commit 7f3a4223264adf5412783c239e8244daa2404e91)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6202035573a2c38867a8975038d40c79b793ca29
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 29 12:53:49 2012 -0400

    libxml2: pthread_join might be available without libpthread
    (cherry picked from commit f8aa3950318b1b13a3b51b8c862a8a2c92d17229)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22081ae95c5046255b3d0e436bfb5a1bbf1192ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 8 00:32:02 2012 +0200

    Contribs: update freetype2 to 2.4.10
    (cherry picked from commit 74b50fc63e1ecebb26f2085cc70be64303e125b3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 510cd3767c0703073f8791477e49a27adc2e2f78
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 8 00:30:20 2012 +0200

    Contribs: update tiff to 4.0.2
    (cherry picked from commit a3e44089c3876487ca3a1b6183e507718703bd89)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9aa2025990c5f71bbf5e2ac8680b35f1b376320f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 8 00:27:11 2012 +0200

    Contribs: update libpng to 1.5.12
    (cherry picked from commit 38830c3bfd53aed07bb40f321a1490e16359c7ef)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eb5530916d64223f2f3579739e6bc1bfe70b09e1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Aug 7 20:08:15 2012 +0200

    macosx/fspanel: allow continued clicks on the backward/forward buttons like we do in windowed mode (close #7258)
    (cherry picked from commit 14cc1eed64be69186f1076136fcc5154123b5b36)

commit e89094b16a9caf53f91511fee9713d07409f749f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Aug 7 20:15:09 2012 +0200

    macosx/mainwindow: added sanity check for the window size after restore (close #7275)
    (cherry picked from commit 4ee68dda548ef30ebe63e747fef92544b42c256a)

commit 60af791011d0823cc86eb6e539dce37e44559c83
Author: Mark Hassman <mark@hassman.org>
Date:   Sat Aug 4 19:32:30 2012 -0400

    WebUI: Update Playlist improvement
    
    Close #5583
    
    Playlist is cached/updated locally within browser instead of
    refreshing after each function call.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    
    (cherry picked from commit 60758c0313ef5553515bbc545dc5aa4b9299ca3c)
    (cherry picked from commit b4cf7a9b5b5c568dd2cec85ff880f92703999814)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd3585bc3d5086e57faa11df752d398fa9284eb9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Aug 5 23:03:18 2012 +0200

    Dailymotion: fix the parsing of the pages
    (cherry picked from commit d23510deb0bba4433496d27c2808c750332bb59f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0d4a5de93522a3457c034f1dd0ea2e86723a291f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 6 00:16:02 2012 +0200

    SSA: do not use memmove
    
    Ref #7210
    (cherry picked from commit 2a8983fe255ba7e531ca9aeeca46617b295955d2)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cbf66df4ae08c13cf509d600e12630f989ae58f5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 6 17:35:46 2012 +0200

    Update libavcodec sha1s
    
    Close #7251

commit 4f6e0e0f2935bdaf55c50305291bab5b8b6921ef
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Sun Aug 5 13:38:51 2012 +0200

    vout_macosx: disable the VOUT_DISPLAY_HIDE_MOUSE event to not hide mouse cursor when we need it visible.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 80fb36e480d7cba4d52bf858c76f905ff2d33b90)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 086dffbb2883b469ac4f3a5bb2854bcf305933b0
Author: Thierry Reding <thierry.reding@avionic-design.de>
Date:   Tue Jul 24 16:31:13 2012 +0200

    freetype: Fix a possible buffer corruption
    
    Memory associated with a FcPattern is freed when the pattern is
    destroyed, so copying the font filename needs to be done before
    the call to FcPatternDestroy.
    
    Signed-off-by: Thierry Reding <thierry.reding@avionic-design.de>
    Modified-by: Rafaël Carré <funman@videolan.org> (simplify return)
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit ae3fd8273b0a16b6ab7f17e119b5d1beb79f4a14)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6325b1c31c2703fd836dcc1c01120671f56e99a5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Aug 3 14:37:34 2012 +0200

    macosx: fixed NSRangeException when triggering modifier keys without characters as enabled by some international keyboards (close #7268)
    (cherry picked from commit c97faddc527a0455c93419982b23763a3d6485d8)
    
    Conflicts:
    	modules/gui/macosx/MainWindow.m
    	modules/gui/macosx/intf.m

commit c772af6d95282ce257fc78dd6f9e098453571b48
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Thu May 31 20:27:59 2012 +0200

    bluray: Add missing vlc_mutex_init
    
    This should fix #6875
    (cherry picked from commit a5c381a215d7b4deda2b338dbc7ab9c585399ee7)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fcde0be30ef6790239cae0832b3367e2876e79c2
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat May 26 19:04:57 2012 -0400

    visual: check for NULL before free
    
    Close #6879
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 73e246278f8ef609ab9ac07272343c3faba8d644)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0f664fbe510fe63b6395275c05d10aa2c345b821
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 30 21:20:52 2012 +0300

    v4l2: fix cut and paste error
    
    (cherry picked from commit f8ac92544e8668a436f6c997275b989b0c5d7299)

commit c1f5872b05d3108d10894fb85cc50353742e21a6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 29 17:34:54 2012 +0300

    NEWS

commit e89f4296febf218a5669a8ceb09ee79d9def0f25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 13 23:41:42 2012 +0300

    Revert "Notify: add a callback to match telepathy, msn"
    
    The "item-change" callback is called with the playlist lock held in
    at least one case: when the now playing meta is cleared while a new
    input is created by the playlist.
    
    playlist_CurrentInput() acquires the playlist lock. So the
    "item-change" callback cannot call it. This bug is present in the
    Growl, MSN and Telepathy modules since version 1.0.0. It got copied
    into Notify in version 2.0.0.
    
    This reverts commit fc56b92af1636c53a0545109a74476fe74c054a5.
    This should fix #6641.
    (cherry picked from commit 1e5f4b465a82745e8e7e5a5de491deac39554ed3)

commit b895679e65357d1b08f6d2f36de690f8a8964ddb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Apr 19 17:09:07 2012 +0200

    macosx: fixed a bunch of compilation warnings, which popped up using newer Xcode release
    
    no functional changes
    (cherry picked from commit f7986362337e1af1b181b8cd0244894de6070db4)

commit 1ea27b12e6cf18d85532cc7db35d106aebb7e71e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Jul 28 12:01:57 2012 -0300

    macosx: set video frame to detached window frame, instead of vice versa
    
    Now, the detached window position is restored on relaunch. Furthermore, this fixes some positioning issue when switching from macosx-background to detached video view.
    
    Manual backport of 41631564e91d928f762d0aa56417e93c32db0a52
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 3e25459f4a43d889d8021491052b7fa1a50af2b3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 28 11:33:32 2012 -0300

    macosx: make sure that the marquee is displayed correctly when enabled for the first time in a session
    (cherry picked from commit 412b2d72b707eb84c6b0854cc07dfdc56ba0826b)

commit 31a66c9c55654e06b946d3826a2008a755fcc901
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 28 11:31:57 2012 -0300

    macosx: prevent crashes when enabling or changing the marquee string (close #5991)
    (cherry picked from commit edee0a568395174b107369624b145f90d069cc1d)

commit 1777f5543d331665bf201957e1df2efb828e5e91
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jul 24 12:29:03 2012 +0200

    macosx: display preferences windows on a level >= video window
    (cherry picked from commit 7f48cb43002663d67614c08315705c3e1ff5b66e)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 55f6ac26b75e847baf785f4e18d7c08fc6d7a140
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 25 19:04:00 2012 +0200

    macosx: disable extensions submenu when they are no items to display
    (cherry picked from commit 23247a858d2826594ba37343b59a19fc16fecd33)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 0c290c6560603b94c0319f6c5981fe326086b2f0
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 25 18:38:09 2012 +0200

    macosx: improve main menu handling for autogenerated items
    
    especially:
    - don't show outdated items in sub menus
    - disable unusable sub menus
    
    close #6998
    (cherry picked from commit 07e72e56f24d7184334bb7e25911c0a1dfdf2c3c)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit c4ea557137df26c5b73500de42fb3f8ec3484f85
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Jul 23 13:18:10 2012 +0200

    macosx: remove outdated and unused isFullscreen methods
    (cherry picked from commit 18dee68f3ace8adfda6e5982daa41755103f9723)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit dac588bc95b93613be30615df73591dfe43a3a04
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Jul 23 10:10:34 2012 +0200

    macosx vout: move setter for window level to vout provider
    (cherry picked from commit 9bd356e5608e5a13890f7f811bb7bd86f2328769)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4bb0ca5857744c75a8f95016f0902051ff69d618
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Jul 23 10:08:18 2012 +0200

    macosx vout: don't reset window state on close here
    (cherry picked from commit 304a1c0a392212ef3cdc44481c190518956e6d27)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit ae66a7775cd4eb96217b4167b6275d624e5f1891
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Jul 20 16:15:35 2012 +0200

    macosx: improve playlist context menu handling by selecting the right menu item at mouse location
    (cherry picked from commit 729fe67eaab131e283c386d478c816c768b2df28)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit bb7a83f86c37edfa0d6d850b4ed96da43550cd4f
Author: Benjamin Drung <bdrung@debian.org>
Date:   Sat Jul 28 00:48:59 2012 +0200

    Fix typo unkown -> unknown.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 3f0d5d17820de59e73530d51530ce9d90ae7ef67)

commit 3dfede2e5d9d115cfb4721b86d16240c56782ceb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jul 27 15:41:53 2012 -0300

    macosx: fixed race conditional crashes in PXSourceList (close #7171)
    
    Trust the ObjC runtime, it will do its job properly.
    (cherry picked from commit 50329a43138159395ad0e67f44a7a0c2815546f3)

commit 9855165f8168f0db54852d208fd8be8a3e5cffb1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jul 26 23:08:34 2012 +0200

    HTTP intf: support opening of playlists in the browse dialog
    (cherry picked from commit df3b867cf33330a3e75055722aff7dd54ca99f88)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ac7e319910923a63323728ce7ce999a52432c548
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 25 18:06:43 2012 +0300

    fr: splitter != filter
    
    (cherry picked from commit 1904dbf5172cc63e3b209d4f0ca8cdd9fad562b4)

commit fcf83fda1a4b750eaea646ebaa4ca75cfb8a0723
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 25 17:23:06 2012 +0300

    PulseAudio: show device product name rather than card number
    
    (cherry picked from commit 1ddac7d47eb3c34eeffb03be6261c766686a8f96)

commit c85689ef654f8f75940030924dc1528acd457cac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 25 17:16:10 2012 +0300

    udev: do not list ALSA SD if PulseAudio SD exists (refs #7221)
    
    (cherry picked from commit fbe71a6680fd1b91ce3a69b43f250b1704ff93d0)

commit 958f15fdc01d1d10dd123caefc46ca4366591346
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jul 24 17:40:17 2012 +0300

    httpd: add video/webm content type (fix #7208)
    (cherry picked from commit b0fb30cb10af32c3ec9f1558dd92eadeca8437b6)

commit cedced8c5840f1cbf00f8906d68b9bd9c387bd2e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jul 24 17:42:56 2012 +0300

    speex: speex resampler is broken, drop priority to zero
    
    The library introduces noise in unclear circumstances. There does not
    seem to be any problem on VLC side though. I do not have time and
    expertise to troubleshoot this.
    
    (adapted from commit 27a3a08018581aab3e53b92f0ce09e680c969373)

commit 49febb1bcd33cfbb090109f11adad3403ce4dfef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 23 19:06:06 2012 +0300

    News

commit b98a2ef126e06de8fa19d05835847861b8ba2a26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Apr 2 23:10:30 2012 +0300

    ALSA: correct S/PDIF start timing (fixes #6565)
    
    This is completely untested, but it seems logical.
    (cherry picked from commit 89d23df7d82a27c42cfa3a52d4008e34130bc99f)

commit 1dd7d2abccba2c9d85b6358459ad72f3f47a770d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jul 19 19:50:04 2012 +0200

    on the road to 2.0.4

commit 77aa89e8d7bd949d3c2946b130badb7c570023a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jul 18 21:52:33 2012 +0200

    Update-po

commit e6139014b8aac0aa4c0ad32c67037ed74b0c6983
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 18 17:15:42 2012 +0200

    NEWS: fix typos

commit 87b81d3c3b85807f72b94626e28075ca7615077e
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Wed Jul 18 16:00:39 2012 +0200

    NEWS: mention Thai update

commit 778305c7eea4933666cbc1d1d01753d167137627
Author: T. Chomphuming <jernghan@gmail.com>
Date:   Wed Jul 18 15:57:27 2012 +0200

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ac526dbdc0eef846feabad69fea1fc85731b218a
Author: Fabian Keil <fk@fabiankeil.de>
Date:   Sun Jun 17 13:56:47 2012 +0200

    audioscrobbler: prevent an endless loop inside the main loop
    
    Fixes the clang complaint: The right operand of '<' is a garbage value
    
    This might fix #6286.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 8cdc20d360fbefa12671abf8ff30c41384d110c7)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 64a2b485c1d7ee676074b6afd2baf4145c186968
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 18 01:00:04 2012 +0200

    macosx: vlc object handling improvements (refs #6883)
    
    should solve a few problems on termination

commit f0cbfc7f254fdf292f2016a6c76b4569936381e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jul 17 10:23:05 2012 +0200

    NEWS for 2.0.3

commit 74632021986be07f4afe48347167b84f60b04d5b
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Thu Jul 12 19:59:25 2012 +0800

    avformat: avoid EOF if av_read_frame returns AVERROR(EAGAIN)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 352ea7df94b18869277457c79e7d5c10f388f075)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    
    In fact, it closes #7145

commit 14af02854b6840c2ee2ca29442b7712341102084
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Mon Jul 16 16:18:02 2012 +0200

    Typos, more languages are updated

commit adae1162cc9926c03dfbf6d68fc34b9aeddb721a
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Mon Jul 16 16:16:50 2012 +0200

    Typos, name spelling

commit ce6c9e1621ec37a0588b3887d955d36c58fd90a6
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Mon Jul 16 16:14:16 2012 +0200

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3994c441d550c32f1c700616b52d44b9bdae6286
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Mon Jul 16 15:15:34 2012 +0200

    Adding th and mr to language list

commit fe6574e0690b6256f57f5c8d35d632e047745e3c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 16 14:42:05 2012 +0200

    l10n NEWS

commit d444204002b3ed289a149e5283a316e9995a34e8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Jul 15 19:39:08 2012 +0200

    macosx: fixed crash when opening DVDs with uncommon disk names (close #7146)
    (cherry picked from commit 68889de9bd2481b86c44e4d4150bbad19ffd5416)

commit 5a39587ca629f894a9152e2131b3658bd7c83271
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Jul 13 13:54:26 2012 +0200

    Updated AUTHORS from git log

commit 25667b7e87141887f057d4422668067408817015
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 17:15:40 2012 +0300

    http: write GET line in one go
    
    This can save on TCP packet if Nagle somehow fails, and work around
    bugs in some broken HTTP servers.
    (cherry picked from commit 1924e5e81dcdb226e67933c54a48cba7f910d4bb)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3b457acd9594511c678ab8647e42a3b392a24d78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 17:13:34 2012 +0300

    http: cosmetic
    (cherry picked from commit 43d5697733f19ae966de45fb1eb6b0b5589c6442)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd8b5238764ed90ed57a7f323d0f3754add1426b
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Jul 13 00:07:22 2012 +0200

    AUTHORS add new translators
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ed67af7e7d7121b702d11f01003774066a6db1aa
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu Jul 12 23:37:34 2012 +0200

    Language list: adding be and br, resort for lang code
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit eb29e0049ea50e03ae2a461c71367c34473f8b69
Author: Chandan Kumar <chandankumar.093047@gmail.com>
Date:   Thu Jul 12 22:22:59 2012 +0200

    l10n: Hindi
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8ae12d4481fc7d17a6696330430ec316e949915f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 18:49:14 2012 +0300

    nb: use consistent (if less precise) language code
    
    (cherry picked from commit 7db7be8bd2e68d13470c92b6d92f2105aedd924b)

commit fd0b710bf620ba546e7ada40380b2ab8d806845f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 18:47:06 2012 +0300

    po: missing or incorrect language codes
    
    (cherry picked from commit 9181681e2dd7b9eeaaa3acf99c2f18b7862c9117)

commit 11ae5f2b1791cf30418f9af4fbabdb6e7c140e8a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 18:37:17 2012 +0300

    fr: typo (again)
    
    (cherry picked from commit 314084ad1cbead060cb4d36f57c9441771ef9f31)

commit d14a42b3853ccf99e81780239117611b08c604d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 12 18:35:03 2012 +0300

    fr: two types in one line
    
    This is the second time this commit is applied. Consider this is the
    last warning for French translation. Any new revert of my corrections
    without explanation will be re-reverted without further notice.
    (cherry picked from commit 01c41858a7fbd7d19fb9a69fe137e3e7ac088437)

commit 4e2d6395c58060f47b610b132ea3219931f0abc4
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Thu Jul 12 16:56:09 2012 +0200

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 261a25a62b04301fa725f509356ce525fde911c0
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Thu Jul 12 16:38:46 2012 +0200

    l10n: Breton update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5e8e1b72e0f2cb570f062fa431777f2c34a896d1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jul 12 16:17:16 2012 +0200

    l10n: Slovenian update

commit 77df6ec967eda82b7a128a06593dab969419ee78
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu Jul 12 15:51:58 2012 +0200

    l10n: Add Uzbek to LINGUAS, update AUTHORS

commit bfd659aa805fc8268a57588363382f733897c9d7
Author: Umidjon Almasov <u.almasov@gmail.com>
Date:   Thu Jul 12 15:27:40 2012 +0200

    l10n: Initial Uzbek translation

commit 3e9a1e010d8219d45098690aa73cfa2c5d6bb55a
Author: Gaëtan Rousseaux <gaytan@skynet.be>
Date:   Thu Jul 12 15:22:22 2012 +0200

    l10n: Walloon update

commit 41ec6696b050a897f0cdd4e8e9a7d958b94f8ced
Author: Dean Lee <xslidian@gmail.com>
Date:   Thu Jul 12 15:10:53 2012 +0200

    l10n: Simplified Chinese update

commit ba53ad1d7b975977f4458d08dc2f8ddd65dd5c95
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Thu Jul 12 15:07:19 2012 +0200

    l10n: Turkish update

commit 957a3edb9ab0a85525ba60de97568f2339c702c9
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Thu Jul 12 15:02:33 2012 +0200

    l10n: Polish update

commit 564623977bad8a8af7499a9e13df6c92f3cb4c69
Author: Rajnikant Kumbhar <rajnikant.kumbhar@gmail.com>
Date:   Thu Jul 12 14:54:50 2012 +0200

    l10n: Initial Marathi translation

commit 515f39ac12fa170465792602bb45a6373809f549
Author: airplanez <airplanez@gmail.com>
Date:   Thu Jul 12 14:30:48 2012 +0200

    l10n: Korean update

commit 8eb184b32e999f64dac9d30b9aba448917df07e8
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Thu Jul 12 14:26:10 2012 +0200

    l10n: Khmer update

commit 1d480e7e56d8ab61d455597b5b92d480c0be4feb
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Thu Jul 12 14:13:47 2012 +0200

    l10n: Japanese update

commit 8bb6e860c844750384db365d85ed9253d305d6e7
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Thu Jul 12 14:07:22 2012 +0200

    l10n: Icelandic update

commit e0652fe2d2bf3f5c94fdcc18e2398f2cd60ff4c2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Jul 12 13:59:52 2012 +0200

    l10n: Hebrew update

commit 83a8baca4098e856761f46af301633ca3a9ba6ee
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu Jul 12 13:45:58 2012 +0200

    l10n: German update

commit 9049ab19bb6bdc6a0d618d509807368b5d16d55c
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Thu Jul 12 12:57:21 2012 +0200

    l10n: Czech update

commit 6f4fe72b14005fc9e5b09f7d36cc90212e3614b6
Author: Michael Bauer <fios@akerbeltz.org>
Date:   Thu Jul 12 01:13:32 2012 +0200

    l10n: Gaelic (Scottish) update

commit b772f3812bbcfd92b8dc61b2c12b8751b12d6e32
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 11 23:00:50 2012 +0200

    update NEWS

commit bb6f0178e055f197e42f08603dd742d1a997f9d5
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 11 20:08:01 2012 +0200

    macosx: activate app when going to fullscreen
    
    this fixes a really nasty window layout mixing foreign windows with
    the fs controller and the video, when activating while window is inactive
    (cherry picked from commit 2975e9168d3bc1844dd92aaadb0391390c7920ab)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit dcf3c9132e4eed6fc861f82fc37d68344ad336b2
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 11 14:14:56 2012 +0200

    macosx: fix playlist reordering problem
    
    close #4397
    (cherry picked from commit 3525d588796c899b77d076f80444e39656bc8907)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 9731dc0a1394d74a560211cab0a30f354aac181e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 11 13:01:27 2012 +0200

    macosx: fix fullscreen set by vout only (e.g. over http interface)
    
    close #7117
    (cherry picked from commit 6b7c0c9fab5394dceaf483381ecd297a40947152)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 2c21880ee59a1e8962c30404c8f3a112e9de3aea
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 11 12:59:50 2012 +0200

    macosx: remove outdated methods for fullscreen handling
    (cherry picked from commit d9cfe67b8e23f388e45aee1919af1d4d773ec0d3)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 5cc79682dda95c955b948300f77526998d99c25d
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Jul 8 11:12:01 2012 +0200

    Use correct spelling for be translator
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit b03910900b9d9d0a7b316c563cfbad6e1a53ffbc
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Jul 8 22:21:49 2012 +0200

    typo: No newline before period
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit a6b1608d077c5729f0e91ea16af6418fa3271579)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 09b014106f84f93d1a9cc004e26628d2dc244597
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Jul 8 11:12:00 2012 +0200

    Spelling of Ukrainian in NEWS and AUTHORS fixed
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit e938f3a470813a21d02f8fb4f7be36785004f064)
    
    Conflicts:
    	AUTHORS

commit 106907a33ddd2a524fbe06712c2f4fdebde5b2ac
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Jul 8 11:11:59 2012 +0200

    Adding gd to lang list
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 77f4a68616e6ae7dfda09775dcd638bd059e568e)
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 7ab519f69b394d2aa3e9e6eec7f385809b644b9f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Jul 6 14:24:27 2012 +0200

    macosx: don't allow a automatic resize beyond the right screen border
    (cherry picked from commit 4b40a27d7c642132eb9f2de5209cca76ab85be79)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 03cb327793ff5904646ea019ff23fd65960c93bf
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Jul 6 14:25:28 2012 +0200

    macosx vout: always use current bounds for picture placements, as we have custom resize constraints in ui code
    
    (in particular, the parameter cfg will not always hold the right window size value)
    (cherry picked from commit 7d42f68ab84fc29d1c3bc969487293c4ee6e9dcc)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 080a5c3dbed4fe9a6e70c8c56ee07d9dc7388823
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Jul 6 14:54:11 2012 +0200

    macosx: select right screen when fullscreen on startup is enabled
    
    close #7051
    (cherry picked from commit b71b4312976d6ee7b067c8dbfeb59dab83da5505)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit c804a4c1d1c2058e3d766d141e3c6182df832d90
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jul 4 20:13:28 2012 +0200

    macosx: handle volume apple remote keys as hotkeys, so that osd stuff is shown
    (cherry picked from commit e0b3dcd221af12921ef9f8ceeb5e1eab30e6019b)
    
    Conflicts:
    
    	modules/gui/macosx/intf.m

commit 9fe74f87d269480e36c9e3413e3a03a0b8dd0868
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jul 5 13:58:26 2012 +0200

    Use a less broken hash in case you use libav

commit 8fc82358ac0732513ab92a61bd0ca756f55d5ee6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 4 20:07:31 2012 +0200

    macosx: fixed incorrect shortcuts for playlist and playlist window
    
    Pointed by David. Only the stable branch was affected.

commit b5e0e241a0f5e1dafa4625f7ad193d27f69188bc
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Jul 4 19:22:25 2012 +0200

    contrib: taglib: use original patch present in taglib.git
    (cherry picked from commit 40f0a08c4667a3b6497a1cdb2d57a081d4210226)

commit cc80d91db4b0756241bbde7e3deb7f6bc90c9ae2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 4 12:57:37 2012 +0200

    macosx: fixed window button alignment when using the black UI mode
    
    Pointed by Damien.
    
    Manual back-port of f836a238bae817640c4f0a1b1c5289241e181eaa

commit f4a16defc1896b971ed31c2c63e373a94cd80689
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jul 3 15:06:00 2012 +0200

    macosx: fixed time slider alignment issue
    
    Pointed by Damien
    (cherry picked from commit 20484554dc35aecc15fdb8c492d6a9ad591c5695)

commit 198838bc23cee2375609eb886d2bdc11d148df7b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 1 13:50:34 2012 +0200

    Update Qt to 4.8.2 from qt-project
    (cherry picked from commit 97646e602b530224117fdfea2f35677a038f7c86)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e6b25b00a3fe5d980ba8d16b90b525bf6e4cd48
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Jun 30 18:33:31 2012 +0200

    macosx: improve accessibility support for black ui
    
    The commit adds additional attributes to the black windows in order to correctly
    link to the close / zoom / maximize buttons. This is needed to get some
    tools using this api to work, in particular / e.g. jitouch.
    (cherry picked from commit 73b270549bb441dd2f273f93d492239b459f1513)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 931e469edd24dbd5504a5476c8db622d8a96a664
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jul 3 13:14:22 2012 +0200

    extras/package: fixed package script for OS X
    
    (cherry picked from commit e996b4b4a3cc017cea89f85fa2d80aa165d882b9)

commit b9ada9b92d9ecd3f93b6767bb696fab1c95eccdd
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jul 3 13:28:20 2012 +0200

    macosx: fix handling of shortcuts which include shift
    (cherry picked from commit 837e3ea601dc4d84c66dacd0dff5a8a250b9302f)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit ba9cae3ae9f4ed32c9f1ba72664996a6891355e4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jul 3 13:29:54 2012 +0200

    macosx: change handling of arrow keys slightly
    
    When the key is assigned to an main menu item: In this case the event
    is never passed to the controls, so we want to handle it here for these
    exeptional cases.
    
    For all other cases: The event is ignored here and handled by the controls
    (playlist, or video view, which also sends it to vlc core).
    (cherry picked from commit 0ccbaa821f8b7b928c651df53db5ad50ed246b83)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 2752db79396f332a187689a60bfcf6b1fe83b4fc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Jun 25 11:15:57 2012 +0200

    dvb-scan: fix potential buffer overflow
    (cherry picked from commit 396a1e896ff7307e721d5cfd616a55bc2fd950df)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4cfc4e981e706f1b220c102899ec469ff00c2857
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Jun 25 11:19:05 2012 +0200

    vcd: fix off-by-one while scanning
    
    scanf("%Ns", %buffer) require the buffer to be N+1 long.
    (cherry picked from commit da89d251fc076b1df3b0d8ba5987e16371a1a59a)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 40cb29d9047cd3569fc333c2129050b494cad8b0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Jul 2 00:40:05 2012 +0200

    contrib: taglib: don't crash with strange files
    
    Close #7036
    Patch sent upstream
    (cherry picked from commit c7f19291e969c9035c098b4aa4af9c52c8bc7aae)
    
    Conflicts:
    
    	contrib/src/taglib/rules.mak
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 5eaac683e14b7d1bff093f1cd5484186f4e684ee
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Sun Jul 1 01:38:27 2012 +0200

    macosx: fixed font selector panel on certain setups
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 1bff0b7fe088ebbb50837b484df44c9f4467526b)

commit 10bab14cd8fa24b552f4ad7bf7d1da54f5b162e4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 2 14:21:58 2012 +0200

    NEWS: added some Mac stuff for the next version

commit ec768b24052cda1aecd8db8c35d1f9d224288e27
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Jul 1 20:40:25 2012 +0200

    package/macosx: enhanced the codesign script to add a designated signature to enhance its compatibility
    
    Note 3 things
    
     - the included hashes are common knowledge, non-exploitable and hence don't constitute a security issue
    
     - you need a valid Developer ID private key to create GateKeeper compatible signatures
    
     - If you don't use VideoLAN's Dev ID, that's noticable but doesn't limit the app's behavior in any detail.
    
    This commit also limits the signing process to the compiled lua scripts and no longer signs the entire lua folder since this would limit the usage experience and it isn't reasonable either.
    (cherry picked from commit 41e20140b3bd4482cb02fe6eede5da471e57859d)

commit ab8a0eba54e73bc3d7cf943eef34c36032e969fb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 2 14:20:22 2012 +0200

    On the road to 2.0.3

commit 4848daf2925a93307643283f958b07d3423eb2de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 2 22:25:58 2012 +0100

    Qt4: negative days for updates checking makes no sense
    (cherry picked from commit b85cc5537812613a2988651c851b08fa34b7516a)
    
    Close #7040
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 025b279e9ece73371fe69fefda2fb959aeba409b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jun 18 17:52:08 2012 +0200

    macosx: added a basic script and some entitlements to enable Sandboxing on OS X Lion (refs #5149)
    (cherry picked from commit eba61d4f3b94f0539c5e250b3222b24c543b67be)

commit 470a346767b0d8473128b47913c16878fc477d0c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Apr 29 14:17:56 2012 -0400

    contrib: update Qt4 to 4.8.1
    
    cross.patch update by John Freed
    (cherry picked from commit cd0148a5a1d5e5875f525c04225add1975a9dd78)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03bc4b50aa8c64ec90da812bf3910d47a2085f95
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 28 09:47:20 2012 +0200

    macosx: fixed broken fspanel background (close #7024)

commit b2ce9b7182a928f2f4bc24e2c98c78c9d20d5ff4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 28 01:31:19 2012 +0200

    Makefile.am: fixed make dist by removing references to future files

commit 6150e7774d153a95b966198f20974c4a50e3ea8d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 28 01:22:47 2012 +0200

    contribs: slightly update libav/FFmpeg since the last hash failed to compile on Darwin for x86_64

commit e8c15f6081b78e543f5db13f2daaad554d3a2a54
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jun 27 20:06:45 2012 +0200

    macosx: fixed names of 2 retina graphics
    
    manual back-port of 44cdb9b3254ce051e05cb26cef6b78bf501f3427

commit bc2c368b1c3c2ddeaff7b9cb61f0a157f612ed1c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Jun 27 20:02:05 2012 +0200

    macosx: open panel: set mrl textfield as noneditable
    
    manual merge of 3194c5215695c69ff67b40a369fa5e2bf0336a74

commit 584c4ebb39b0c493b20965b89bdfdf1c7b31bc68
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Jun 24 14:09:36 2012 +0200

    macosx: disk open: do a shallow instead of a deep search for media directories
    (cherry picked from commit d86de10ce6a52c523dc33848b4f36fe22b5a7bb6)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 478d3fcd61c9f89c0f2c38a34f58ea43647b054c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Jun 24 10:51:38 2012 +0200

    macosx: device open: set new media folder as current item when it is added
    (cherry picked from commit ad09e6fbfb12153fd79cc5256b33407fec3309b8)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 31f4c4db0beabfb571aa31d6834f988111e1dee1
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Jun 24 01:26:30 2012 +0200

    macosx: fix bug in disk open panel regarding selected folders
    
    Previously, the open panel always converted the mrl to an (not available)
    mount point when you want to setup a playback without menus
    (cherry picked from commit f8d14c628d05db37c286cc48ad44a2555dd53639)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit bdd4d52f11a933c5f37ad420c64b8be455dbbfa5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jun 27 18:59:30 2012 +0200

    macosx: fixed long-standing issue of disappearing sidebar item icons on some build configurations
    (cherry picked from commit 0664335b7e32ea96e0f57880c5a056f7847f2d7a)

commit d1b4a6390b11b75a7a3de0c6b761cbe9294438c5
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Jun 27 17:16:56 2012 +0200

    macosx: added retina compatible sidebar icons
    
    manual backport of 04d65ac9c8d807dad15a6480aee70c8fa3f0572e
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 6b57db3b9ba65c58185395386ec7a45a00aafd31
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Jun 27 17:15:31 2012 +0200

    macosx: added retina compatible fullscreen controller artwork
    
    manual backport of 554813d647b3bcf07bf96695b4de8961ee860209
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 04335f03dd4f824661239e6305e86b03f0898bff
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Jun 27 17:13:47 2012 +0200

    macosx: added retina compatible artwork for the gray main window style
    
    manual backport of 8ba3d7f4ddefce1678dfbfbe381d38184e3b3393
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit dd19842eacec0cce2f41b4ace43661471563dd1a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jun 25 01:27:05 2012 +0200

    macosx/fspanel: another minor optimization and simplification of the image drawing code
    (cherry picked from commit 3d7bdcde683a3a0845bf8d441d18a9cb539e1d5d)

commit b89922682e75695e4a56980ef80fb2731c114608
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jun 25 00:48:48 2012 +0200

    macosx/fspanel: optimize image rendering for sliders and background
    
    no user-visible change.
    (cherry picked from commit 77442ae2072b81c5a6ec0e5900a15358adceafe1)

commit 7c65ff1c773ba166bd256ba5c055c1d2610d3a45
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jun 27 17:08:30 2012 +0200

    macosx: removed the fspanel artwork for scale factor 1.5
    
    This is a broken concept, since according to the HIGL, one point always equals one pixel on non-HiDPI screens regardless of the actual DPIs or the actual screen resolution.
    
    Additionally, this interferes with our support for HiDPI
    
    manual backport of e5c027058bb8cb97872e082fab382089c2d7997c

commit 488dbe3f63ea2e1e46b7981f64d9f427c4d7e3c9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jun 27 16:53:24 2012 +0200

    macosx: updated xcodeproj and Makefile.am for the new graphics
    
    manual back-port of d8b24e50f5a53e9973fea963ba07962108725247

commit ec867b1b0415168407de9b1f0529829726d155b4
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Jun 27 16:49:17 2012 +0200

    macosx: updated volume and dropzone icons
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 244a84e264e0e9a9d60164a62d2f41addefc63b4)

commit d1bf0221559cff70168e60f3151f4f43ea28723c
Author: Damien Erambert <damien.erambert@me.com>
Date:   Wed Jun 27 16:28:36 2012 +0200

    macosx: macosx: added retina display graphics for the dark window style
    
    manual back-port of 2ce6916bdd9d6d82cadf46d23bf1532dcc24acc6
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit ceb4fc4e1d12c84caafb39bd4cb3ad2c84feda96
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 27 01:52:30 2012 +0200

    Update NEWS

commit 7e775c71d8a7f627cec41cc023ba3411a63cd2cb
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jun 26 22:50:05 2012 +0200

    macosx: improve resize behaviour of splitview
    
    Now, the sidebar will not  will not resized while resizing the window.
    Also, this commit sets a min width for the the sidebar. But it can
    still be hidden, just drag the slider to the left.
    (cherry picked from commit 0f4b97b08a1805c6c72f94dbfcbebb61bf956bb8)

commit 43b1fd9951c4b05b01a1a59699413622d3bf10c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 27 01:22:42 2012 +0200

    Make update-po

commit 78c7fea4b522b56edbbee3d18a9000324f5ac912
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 27 01:09:48 2012 +0200

    Contribs: update FFmpeg

commit 40d9fefb620525ed2b96043d4dac1767cd1d6523
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 27 02:39:33 2012 +0200

    Revert "DirectSound: apply volume attenuation with DirectSound"
    
    This reverts commit 999a7af728544436952c0fa6f99ae2c3249cca44.

commit 00ae211bc43f1624dd1bd2dba85e145c473e26fd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 27 02:39:21 2012 +0200

    Revert "DirectX: 10L fix compilation of backports"
    
    This reverts commit 7be07b1a0ffb1a7f5c091d16de5e6d6b32b540f9.

commit df8462b3924c74c2e10ceb65d9504ef0c8d387cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 25 16:25:15 2012 +0200

    Win32: fix compilation
    (cherry picked from commit 95da9d5aa0b67f269de4d62c3c098755d2527d81)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 268359b7dae3e6d83a4e35c812ac2cb6536e0138
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jun 22 00:26:23 2012 +0200

    macosx: work-around a weird bug which let the drop zone respond to mouseDown events targetted at the window title
    
    Thanks to David for the report
    (cherry picked from commit bbb30ce0e0b9ff526865ec126f370056bbf8735e)

commit 380e40213b2dcd8116bcc5efb8556a008aae42d8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 21 17:49:11 2012 +0200

    macosx: fixed custom revealInFinder implementation for files stored off the startup volume
    (cherry picked from commit cac887503093923b11a0240490aed69c09152262)

commit a168e79bd412d72ea73ffbbb51be92ed96f4800d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 21 17:52:05 2012 +0200

    macosx: reimplemented the right-click Reveal-in-Finder feature on the window title when using the dark interface style
    
    manual merge of ce2b23f7e82e4571d59eb90428641e00df9560e0

commit d34449153e9e121273dc07df27d22fbb928ebb8d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jun 20 08:17:26 2012 +0300

    directory: do not get stuck on a FIFO (fix #6940)
    
    Also avoid fstat()+close() on non-directoy files.
    (cherry picked from commit f9812a51e64e0777fa847fdf51f00fb500d2e1ca)
    
    Conflicts:
    	modules/access/directory.c

commit da7b4234c23c113013903955bd21be1249db195f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jun 20 08:16:16 2012 +0300

    file: do not use non-blocking mode when unknown/unspecified/useless
    
    For FIFO and sockets, non-blocking is wanted. For character device,
    the effects depend on the device driver. For other types, non-blocking
    mode has either no effects or is unspecified.
    (cherry picked from commit bd19904c7d2ab50b83d98c64244cb0d54ff46da7)

commit 95870a606fa60a45be516e389051ff168de2fdd4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 19 01:26:03 2012 +0200

    macosx: allow the user to minimize the main window by double-clicking the window title when using the dark UI variant
    
    This respects the system preferences' global setting.
    (cherry picked from commit fe7d94473216228c8f9667e1d476bfc54e771153)

commit 42a8f9586742565701ab39bb818042c3a0267684
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 14 20:32:25 2012 +0200

    freetype: fixed crash when looking for an empty string as font name
    (cherry picked from commit 48ef1e2f2aef23129661aba070e31832012dec2d)

commit 03d85649a64b40e63ade493be2f8930e78bd00fe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 14 14:50:06 2012 +0200

    macosx: draw vlc.icns instead of a bogus white png with an icon in the about panel
    
    no user-visible change. However, we save 29KB and don't need to update that graphic for HiDPI
    
    This is a manual backport of a574f2f9052027ccd279e0431f7ae625e351cad7.

commit 07ef9fa5e1beb7a0fa879905b9eb9496ec13bbf6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jun 14 14:41:21 2012 +0200

    macosx: Cocoa cannot deal with 2 images of the same name in a single bundle even if their type is different
    
    Hence, rename one of them.
    
    This is a manual backport of 6051f82ac2a50ce9210ab8ffe052b2784952d18a.

commit 1a7fbfcdd59bf2775617ed1e28739dcc1034f47f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 12 18:50:48 2012 +0200

    vout_macosx: added HiDPI support
    
    (cherry picked from commit af3a690427169763749987475727b0e37a6b6211)
    
    (cherry picked from commit 405a83cda0fc0f45cd4851bed7cc1d525f6d8fa4)
    
    (cherry picked from commit 4b2e143fa82231ecf563a8cb133edcc0839b4e1f)
    
    (cherry picked from commit de9a7b4f9a61257dff5880b6543f79c13c502aad)
    
    (cherry picked from commit f23389df0f358ec05ed0483a91cd4cfc56f867a5)

commit c67061862d6747cf34298d991a3dcc6e7732e249
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Jun 11 18:08:33 2012 +0200

    macosx: add multiple files dragged to dock icon together
    
    close #4358
    
    (cherry picked from commit 13e2c3bdfba86c9a1400deb9b14e201bbb40ec9e)
    (cherry picked from commit cfaaf916909b5483d6128cd6cd9b36deb72779df)
    (cherry picked from commit a89495bbddc454522e777a2f8abf2cb90424787a)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit a591abb61a25487a5f780cc467e520b1fa89b756
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat Jun 9 21:19:33 2012 -0400

    contrib: freetype2 location changed
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 8358b4e7a27cb0ed9382093225f6d900ff368a4f
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat Jun 9 21:19:32 2012 -0400

    contrib: flac location changed
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 567e06eb5c639f794413191008b5bf6afc55f9b6
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Sun Jun 10 05:36:11 2012 +0200

    qt4: the verbosity can't be higher than 2
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit fd06d5c1432e3e10239e5ea896d8838764ff4812
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Jun 9 22:25:20 2012 +0200

    macosx: fix longstanding bug where gray title bar shows window as inactive every time a movie is playing
    
    (manual merge of 62fb76aa32f6a060834da3c0f08066d51cb92ef8)

commit 701d1347faa29f52b0a04c587724deb6de1ae28e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jun 9 11:50:48 2012 +0200

    opengl: fixed playback of 10bit content on Macs with OpenGL 1.4 drivers, notably using the GMA 950 chipset (close #5973)
    
    We do so by forcefully disabling the 16bit shaders, which the chipset pretends to support, but actually doesn't.
    (cherry picked from commit adcc3b14a16c712af51bfc9b7940921a9e6b3468)

commit 7f0418af890720ff0aeddd94d9738692c2cd8ecd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 7 16:49:49 2012 +0200

    Update PO

commit 6513c53e831b645a129422429c7c2e49f6ddb79f
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Jun 7 16:27:13 2012 +0200

    qt4: save and restore the position of the GotoTime dialog
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1d6ed61ee96ebdc1d462cd70ea4bb733774369e3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a08738984e6d5db15fda68ad8844a0e7ff479a33
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Jun 7 15:06:53 2012 +0200

    qt4: never disable the "Jump to specific time" menu entry (fixes #6669)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 33299a4d5e3e6951b9039b929205abf6f5847697)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e8520a16a1facdd057011d9b93d9dc25e4834c45
Author: Ludovic Fauvet <etix@l0cal.com>
Date:   Thu Jun 7 12:56:23 2012 +0200

    qt4: fix y-axis positioning bug in the time tooltip
    
    Reported by hivolbill in the forum.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7be07b1a0ffb1a7f5c091d16de5e6d6b32b540f9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 7 16:27:56 2012 +0200

    DirectX: 10L fix compilation of backports

commit 73421943f853b7b1f3650785245258ae078543f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 7 01:15:13 2012 +0200

    GA translation: fix string format

commit a538a1f9a666e40c612b5daaa5932491dcfd5d1c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 7 01:10:35 2012 +0200

    NEWS for translations

commit d6699a1f4ae27f04079edef946e2bf5a7fdb446b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 7 01:01:03 2012 +0200

    VLC is not the place for Kassdédi

commit f977b95661e686bd95151b88c2778d4048ea1bfc
Author: T. Chomphuming <jernghan@gmail.com>
Date:   Wed Jun 6 23:55:44 2012 +0100

    l10n: Thai update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 5b72806741eadbc60fb16341965de7e8f86c530c
Author: Dean Lee <xslidian@gmail.com>
Date:   Wed Jun 6 23:50:26 2012 +0100

    l10n: Simplified Chinese update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit ce2a3491eb5c47a2f0de94a835d4034c8876c98e
Author: Oleksandr Natalenko <pfactum@gmail.com>
Date:   Wed Jun 6 23:49:36 2012 +0100

    l10n: Ukranian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 4b1e7f2aa8a23807630a0aa3288f522b73716954
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed Jun 6 23:45:51 2012 +0100

    l10n: Telugu update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit d56c15c3a01c535dc9308ea6d9013135055fa938
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Wed Jun 6 23:45:18 2012 +0100

    l10n: Slovak update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 103088b11f1bc5f4fb21afac73b65c27a9175bb3
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Wed Jun 6 23:44:10 2012 +0100

    l10n: Polish update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit c12901218bfe8c2ddd2a7c9e95fc2296a9b307b1
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Wed Jun 6 23:43:31 2012 +0100

    l10n: Dutch update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit e763441c2eb8411140c6a0daf60535cb08557c53
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Wed Jun 6 23:32:43 2012 +0100

    l10n: Japanese update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b54a8192ab61f03541283037ab5527d504b8ee30
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Wed Jun 6 23:32:09 2012 +0100

    l10n: Italian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 0d32820e2856b78972f1118d19e954665fb9a2a3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Jun 6 23:31:31 2012 +0100

    l10n: Hungarian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit fb5a4a71aa8e87363900f1d8b65d96b18f272178
Author: Gonçalo Cordeiro <gzcordeiro@gmail.com>
Date:   Wed Jun 6 23:30:34 2012 +0100

    l10n: Galician update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit ed178efddabef6e6ca13e26fa914b00d1136850b
Author: Seanán Ó Coistín <seananoc@gmail.com>
Date:   Wed Jun 6 23:05:41 2012 +0100

    l10n: Irish update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit bf8d5c0e5d4425c541eda174323aa882808720bd
Author: Éric Lassauge <lassauge@users.sourceforge.net>
Date:   Wed Jun 6 22:47:54 2012 +0100

    l10n: French update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 5fa9470ca4d97335a0fa7570cb26e4f1c773a907
Author: Mihkel Kirjutas <turakas@gmail.com>
Date:   Wed Jun 6 22:44:21 2012 +0100

    l1On: Estonian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 8efa232a9e27033ebd926d67c8c7228f82fcf6f6
Author: David González <pico.dev@gmail.com>
Date:   Wed Jun 6 22:42:33 2012 +0100

    l10n: Spanish update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 34d75237ff9a2b6f30c298b44c73fe6a8d9449f9
Author: Manolis Stefanis <mstefanis@hotmail.com>
Date:   Wed Jun 6 22:34:19 2012 +0100

    l10n: Greek update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit bb3049222def5f489c675d52993f73f032557971
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Wed Jun 6 22:33:19 2012 +0100

    l10n: Breton update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 0841fc7e99bff9644b49ad992c1a31069701cc42
Author: Сяргей Дар'ічаў <charnabog@gmail.com>
Date:   Wed Jun 6 22:32:23 2012 +0100

    l10n: Belarusian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit f4a44d365e26838988ab87cadea0aa4a775cdc0c
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed May 23 21:54:27 2012 +0400

    Upnp: Fix #6250, honor --miface.
    (cherry picked from commit 683ff74a9050c948b593490728cf400fcb10334c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 999a7af728544436952c0fa6f99ae2c3249cca44
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 6 16:34:10 2012 +0300

    DirectSound: apply volume attenuation with DirectSound
    
    This should keep the volume latency under 20 ms. This will break
    amplification as DirectSound is only capable of attenuation.
    
    (cherry picked from commit 39ee3d11eb7da54f58e42bdf2463cbaaa8661456)
    (cherry picked from commit a4e7d80196972f8f236219d51e2777c86fcb6aeb)
    (cherry picked from commit 0baa0d815b0d00574111af6a0275ee62c316b589)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22098cd4db6cbf37875324de571c63aaf4e54693
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 6 23:09:32 2012 +0200

    Update NEWS

commit 9299dc60348d07d2b0a507d65d775e46414f99c4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jun 5 19:34:06 2012 +0200

    macosx: also round volume percents
    
    This prevent cases in which the percent value is one smaller than the
    previous adjusted value.
    (cherry picked from commit 5e06ffd4ca78ed08f5eea90e31b67b04b8f05abb)
    
    Conflicts:
    
    	modules/gui/macosx/simple_prefs.m

commit ea53ac4a2c6e39c9382a2df41dd8a0faf216a973
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Jun 5 19:30:15 2012 +0200

    macosx: change opacity slider to percent in simple prefs
    (cherry picked from commit f2bc92ad30a40c3ec1f20587863c8eee00c33e45)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit bf2dcfc3366509c2ff3b2a936029e0267decfdd9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 5 11:08:17 2012 +0200

    macosx: don't manipulate the selection when downloadCoverArt was requested (refs #6892)
    (cherry picked from commit 8de3a90b2be9bac51eff19200690214bd97a94eb)
    
    Conflicts:
    
    	modules/gui/macosx/playlist.m

commit 29eb0311152443d2fcfbbac0aa614a8ef754409f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 5 11:05:31 2012 +0200

    macosx: add multi-selection support to the playlist's revealItemInFinder (refs #6892)
    (cherry picked from commit 3dd486c8fe49c25f6bca2f93333cdcb83312e2be)

commit 2dfe7c350ee97ff6c5bd70cbd20700b4060dde4a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 5 10:55:37 2012 +0200

    macosx: add multi-selection support to the playlist's recursiveExpandNode (refs #6892)
    (cherry picked from commit 0e5226e0eeee223fb5e8e7c33e1fa36f3c4f5e62)

commit e2769a9bf1807b18d2ce30c3aec9722a81b946da
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 5 10:44:52 2012 +0200

    macosx: don't manipulate the existing selection when right-clicking on the playlist table (close #6892)
    (cherry picked from commit 50962d72c11ff3a7c382e4d9314ef3dcba6e5eec)

commit 8b456a3641c3b3b31b2e0456e60898736327c20e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 5 11:19:26 2012 +0200

    macosx: fixed the 'Play' item in the playlist's right-click menu
    (cherry picked from commit 0d1ec0b0c1b7ce333fac03f4870dc414a8c0921d)

commit 18acb2b00755b252a7ae41b621221c77ef77fc45
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Jun 4 10:23:37 2012 +0200

    macosx vout: fix framing issue when video opens in detached view
    (cherry picked from commit 8405c0784c4e8f15ff6d38babc1dbfab61e9436c)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b4a5fc7db91b80f8dce9345c675a21be7c8ea430
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jun 4 00:16:21 2012 +0200

    macosx: fixed corner-case in which the playlist table was displayed instead of the newly created vout
    (cherry picked from commit 208028660fe17278a04eafe0b05c3a715e069a71)

commit df908f831a56d50676969f787d1910ef24cf5143
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 3 23:40:37 2012 +0200

    MP3: fix validation of headers
    
    Should fix free format playback
    
    Partial backport of de7ab0663

commit 27921c393fb284faab4b9c1c5064f2c4a6c476c7
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri May 25 23:48:19 2012 -0400

    playlist: preserve first item when enabling random mode
    
    Close #4472
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a5a428df27a4752a79c503bbe14ce3d67c76b777)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ca954f3d362ec77e298a9cf0870b50425147515
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed May 30 00:28:43 2012 +0200

    Fixed the value of DV_NTSC_FRAME_SIZE.
    (cherry picked from commit 4fbbd7cd097c4dcd2fadf705a2f28e3f0f9d5358)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d2fbc302dec84a3129f70e7cb647901290301b34
Author: Sam Lade <sam@sentynel.com>
Date:   Sun Jun 3 16:57:00 2012 +0200

    Bluray: fix playback when device is a symlink
    
    (cherry picked from commit 21e4928a6b98fd7b6bb520b5f1b863738a695295)
    (cherry picked from commit 3e7cc6f5762510082bc4e7301ad9a4ed2bb6de77)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c5cab2aeba49d1a5d9ba2a067f191c6103e5c58
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Jun 3 21:48:13 2012 +0200

    opengl vout: fixed chroma issue with dated PowerPC-based Macs, which run OpenGL 1.3 only and don't support the GL_ARB_fragment_program extension
    (cherry picked from commit ac5631c730899f750338b1e47335f2159e72d407)

commit a9b2cd97ffdef5b1119556b2b18fef6227d18e5d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jun 3 16:50:25 2012 +0300

    qt4: remove ObjC++ hacks
    
    This should fix the build with recent automake (fix #6911).
    (cherry picked from commit fc55e4a1df2e691c73a28c6d6bc18143d60b97de)

commit 5bcf0809eb0f74066555225839d6f58c94cc88e4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 31 18:48:23 2012 +0300

    v4l2: add v4l shortcut
    
    Anyway V4L1 is dead, so there is no ambiguity.
    (cherry picked from commit c7d276074d6f83580a4c5e6fb15699bcf92db227)
    
    Conflicts:
    
    	modules/access/v4l2/v4l2.c

commit 9fc774899f2e88f7a67c216307020be02d2b0e79
Author: John Peterson <john.peterson3@hotmail.com>
Date:   Sun May 27 06:35:02 2012 +0200

    MSYS build fix: escape backslash in whoami
    
    whoami need to escape the backslash in 'pc\user' otherwise src/version.c can't compile.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 126d1ccc2c3d3faf6ec8e2bf53bae73273025098)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 80879ae6cb06eea6def03ce82e9d201595f2c489
Author: Joe Taber <infogulch@gmail.com>
Date:   Sat May 26 16:53:33 2012 -0500

    vlm: Error loading /requests/vlm.xml
    
    Variable `loop` was uninitialized and resulted in an error when being
    concatenated. Initialize the variable to blank: `local loop = ""`.
    
    Close #6882
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a75ff33f2b426ffe02994b65a84cf70f178b1aee)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8ee155f5685ce371d283af906c855d6620f8ae9b
Author: Chris Smowton <cs448@cam.ac.uk>
Date:   Wed May 30 14:30:54 2012 +0100

    Don't reset current HLS segment playback pointer on a failed seek
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 78baddd08043b952cae3ed973b8d7a561c7ba493)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0879b3f6a769d1a13f96d83c3cbff4d10952c8cb
Author: Chris Smowton <cs448@cam.ac.uk>
Date:   Wed May 30 14:30:04 2012 +0100

    Fix trying to prefetch 2 segments from a 1-segment HLS stream
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7e21f34f1cf7fd9f3c9d73b5b39d7c671101d22c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd7ab6ee4c2affc20c0eecb3957b6f12c7ff41cd
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed May 30 11:50:00 2012 +0400

    m3u: Check Content-type if available.
    (cherry picked from commit 0e3e2b84b9c0891f9496b39184d2adea9fff4117)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 343aa93de8c7ff721fe180383a56d1c703813434
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue May 29 10:49:32 2012 +0400

    m3u: assume m3u with BOM at start as utf-8 encoded.
    
    X-Patched-By: Sergey Bolshakov <sbolshakov@altlinux.org>
    (cherry picked from commit 75a167f5b377a1edba3e1bf0230af05da7974347)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 47034c142b21c438d3e5ca85ddf0a06e5d69c63d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 31 15:00:39 2012 +0200

    freetype: in case the provided font name is neither found by name nor by family, let ATS check whether it is a correct PostScript name
    
    This fixes issues with some Asian fonts as pointed by Naohiro Koriyama
    (cherry picked from commit e943ace33cce82c1a59b67000f2fbd99ff54130e)

commit dee1ee38cf21057cfddb06be95c21d9917b57894
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 31 14:54:12 2012 +0200

    freetype: provide a proper fix to prevent ATS from crashing when searching for the font family instead of the fontname
    (cherry picked from commit 10e87394ea679dd8bdabc582d4f83ca90f9e8c40)

commit 89bb8968fa0d973be81c6def9a94ca05b48b2e41
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 31 15:02:48 2012 +0200

    macosx: set 'freetype-font' to the postscript name instead of the family name
    
    This fixes the freetype ATS lookup for some Asian fonts such as Hiragino Micho ProN with multiple weights.
    (cherry picked from commit 26303bddc76d9b5a29767b77d44b8fbece932092)

commit f00c824bb9a2001ae0160326bd0fb173873f4280
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed May 30 20:12:01 2012 +0200

    growl: fix crash and duplicated notifications in some cases
    (cherry picked from commit b10e58173a1190b06cd8826147cc8ac36b04d9a3)
    
    Conflicts:
    
    	modules/notify/growl.m

commit 218e94e7366e835e6c6dc8581e2134be2d38a211
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 30 18:56:40 2012 +0200

    updated NEWS wrt ATS lookup within freetype

commit 962f11c20cdcd002e10d074a0d9416330c9cf496
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 28 02:03:00 2012 +0200

    freetype: use Apple Type Services to get the font file location instead of libfontconfig
    
    This API was deprecated in 10.6, but still works correctly on 10.7. CoreText is the modern replacement, but doesn't provide the needed functionality so far.
    
    (cherry picked from commit 9cee736f1276daa463bc6fa9127dfb9d5f52d957)
    
    (cherry picked from commit 763139653998328284518112904e0e8ec4d9b8d8)
    
    (cherry picked from commit 6938a98a430431a7d8f41228c60dd883b8264e6a)
    
    (cherry picked from commit 780bc86907509205c3d0335350aeed909a427a2b)

commit 6abf293779383854aaeb905e8bb19f7c73ba6acf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 30 19:15:56 2012 +0300

    ALSA: force small period to avoid latency problems
    
    This is as already done a long time ago for PulseAudio. VLC might
    deliver audio a long time ahead, but there is no warranty thereof.
    So a small latency must be assumed for the worst case.
    (cherry picked from commit 894b9dfb3b1d3d5852cb0d52470d73c06be27b37)

commit 13f28a4e75f496e22b37e632c4d347fc0dd5873a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 12 10:05:16 2012 +0300

    ALSA: follow initialization order from snd_pcm_set_params()
    
    This should fix support for or work around bugs in, some drivers:
     * explicitly disable soft-resampler,
     * define access mode before sample format,
     * set buffer before period,
     * use period time rather than period count.
    (cherry picked from commit d80d6da77e3074d3ecc67fb70a8305d08f137f43)

commit d751400813e0717d30d35da639cd9de32cb8c544
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 28 19:35:09 2012 +0200

    macosx: lock the scroll direction for 0.8 secs, so the user can scroll through the movie or adjust the volume without affecting the other function (close #6893)
    
    This is especially needed for the multitouch trackpads
    (cherry picked from commit d34619d34cc2e93c02f66dd04b41f74a6ec4eeed)

commit 40ad28f76c9ed4243381bf4a30cecb0908d252f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 28 15:51:30 2012 +0200

    macosx: optimize scrollwheel code by saving 3 objc selector calls per run
    
    no functional change
    (cherry picked from commit d9fb60bec03044bb7bc20e9a18d52f43f940b75b)

commit 5de326ba3c398719a66ef338573367e96d6642e5
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon May 28 09:32:08 2012 +0200

    macosx: fix some issues with playlist column headers
    
    close #6870
    (cherry picked from commit 01533a3cb5eece7f3e6638f51415df4909ccb6c7)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 93e5cfc7f056f85238f2971deaaba2d470844b3d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat May 26 14:54:14 2012 +0200

    Enabled screensaver for win32 opengl vout (close #426).
    (cherry picked from commit d20acdeca0078e548a68491cd27e7413d5e5a4b1)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 93695a956e429cac34a6bb5747aac49f926c3773
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 27 19:51:35 2012 +0300

    adummy: do not create dummy audio-device (refs #6874)
    
    (cherry picked from commit 003ba60d1911a7f6a6a97aaf24324660f50b3959)

commit f48fde01f3ae673520744ba7189ed1e8896b7edb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 27 19:50:19 2012 +0300

    ALSA: destroy audio-device at exit (refs #6874)
    
    (cherry picked from commit 3b0b4fb354db179353d4d319484f1711f979de58)

commit 8c341e8c37307b2b8fc9fbfa2ca5b4c40031cadd
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 25 18:51:47 2012 +0200

    macosx: remove now unneeded volume osd hack
    (cherry picked from commit 506ef92b9445bc3cf43dc5630c45958312e3cd84)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit bbb63fe93a69199a1a7f163a8effc3960200afed
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 25 18:39:01 2012 +0200

    macosx: several fixes and improvements for hotkey handling
    
    - volume and mute hotkeys are handled by core now, providing a proper osd screen
    - some fixes in detection if key combo is valid hotkey
    - fix for mem leak
    (cherry picked from commit 1536ed21be0f545840bf8b15e89e4f81fd1908a8)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit bff6ee5e66070829d66e21eae2ec11901a336128
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon May 21 21:20:04 2012 +0200

    macosx: fix subtile bug in initialization of mainwindow
    
    Currently, two objects of the class VLCMainWindow are generated. The first is alloated
    from intf.m (triggered by the first log message that arrives) and is initialized by
    both init and initWithContentRect. The second object is created from inside the nib file,
    and is instantiated ONLY with initWithContentRect. Therefore, up to now _o_sharedInstance
    had the wrong object and all calls to sharedInstance would cause problems.
    But somehow, o_mainwindow in intf.m is updated to the correct second object, although it holds
    the first object at start.
    
    Furthermore, o_fspanel is also instantiated through the nib file.
    (cherry picked from commit 0d847ccb8d2e58147fe351a10fc89e777f469fb8)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 6965b452713b2438b14fe41400aab0bef233addb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 25 18:34:15 2012 +0200

    Contribs: update FFmpeg revision
    
    Fixes MSVR 151, MSVR 193 and MSVR 195
    Finder: Jeremy Brown at Microsoft and Microsoft Vulnerability Research (MSVR)

commit 831357f75b81817e6fb0b49c6b6b729106b4bca5
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Feb 24 13:51:05 2012 +0400

    Contribs: libpostproc was removed from libav
    
    (cherry picked from commit 59c0cf6f125a5d6ddbb839adcfa31404c0043c89)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 193d387ae9bbdd1945f021f0481ef6fbfa622a81
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Feb 24 13:49:47 2012 +0400

    Contribs: add separate libpostproc.
    (cherry picked from commit 18faa622b2de2b94696d3de273704cb4a588bb3c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d6b0f4829b88c5079b3b7cf7cab05b8380c3cba
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 24 15:49:23 2012 +0200

    Adding langcode to LINGUAS: Gaelic (Scottish) gd
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 18a808b6daa61f3eca5b454bf80acefea7317cb3
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 24 16:11:43 2012 +0200

    Mentioning Gaelic translator in AUTHORS
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 11ce6beb3c63a90158de0e5d0b3622efaec4c138
Author: Michael Bauer <fios@akerbeltz.org>
Date:   Fri May 25 00:29:54 2012 +0100

    l10n: Initial translation to Scottish Gaelic
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit e145eda539610e0deeb81e5aeead6ca0c747da60
Author: Dean Lee <xslidian@gmail.com>
Date:   Fri May 25 00:28:28 2012 +0100

    l10n: Simplified Chinese update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 8d5c5e823a8f0225b13f914cf6e2665ed3b1614c
Author: Gaëtan Rousseaux <garousseau@voo.be>
Date:   Fri May 25 00:27:43 2012 +0100

    l10n: Walloon update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 6eb517dab30032db05d4edcad54b615611f171aa
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Fri May 25 00:26:58 2012 +0100

    l10n: Slovak update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 506ebe0e098ce348569196410310a2e5581eaf97
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Fri May 25 00:26:03 2012 +0100

    l10n: Polish update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 63bd334195a76f58e6ac1272934c6e81b64c2f4e
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Fri May 25 00:25:02 2012 +0100

    l10n: Khmer update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 7ff7a19095ab1e0b9342985c0ee6ef92b4bab020
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Fri May 25 00:22:52 2012 +0100

    l10n: Japanese update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit 93bc2b2c896627e70ece5b05fc2711f36089f809
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Fri May 25 00:21:24 2012 +0100

    l10n: Italian update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit b53a4670d9e4666af0d1853c4020a4eb0b5350c3
Author: Éric Lassauge <lassauge@users.sourceforge.net>
Date:   Fri May 25 00:20:33 2012 +0100

    l10n: French update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit ef2673c3081492a28f561a725446c08242904f86
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Fri May 25 00:18:50 2012 +0100

    l10n: Czech update
    
    Signed-off-by: Christophe Mutricy <xtophe@chewa.net>

commit ad8aad84b930372ff578ec2fd04f824f658dac55
Author: Christophe Mutricy <xtophe@chewa.net>
Date:   Fri May 25 00:17:14 2012 +0100

    i18n: Update vlc.pot

commit 13752933868ecb088749bfd799118ed24301d25e
Author: Frédéric Yhuel <fyhuel@viotech.net>
Date:   Thu May 24 11:16:06 2012 +0200

    demux/mp4: do not demux f4v files for now
    
    This is a temporary workaround until someone add support for f4v.
    
    Work-around #4915
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f47133cbac88a1ef04e526df27eaa4e86a6f2d5a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6809c5dc7670fff8bedd3abdaa8faedd25d39de0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 24 13:32:52 2012 +0200

    AVI: be less picky about wrong sizes for LIST chunk
    
    Some muxers are unable to read the spec...
    (cherry picked from commit 164c7d31939a16674cd5c678e453085af2cbef4c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9ca6136b67011f6807c093d46ac9ccc04849090
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Thu May 24 18:30:50 2012 -0400

    luahttp: Don't interfere with seek slider either
    
    Ref #6652
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 4763a6a249a3280abe346b67238e8f9861a5999f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a778891727f1c1e7ebd2aabd2b8a3acd5b3dd02f
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Thu May 24 18:18:02 2012 -0400

    luahttp: Don't interfere while the user is dragging
    
    The updateStatus() function should not interrupt the user and reset his position while he is dragging the volume slider.
    
    Close #6652
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e91edd90eaf9cd4339b45fd90f8af4fe8a3b31b3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b657ffe1ab312f32a9fbf1d3c653ed69bd5dfe04
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 25 00:24:09 2012 +0200

    Update NEWS

commit 62b257decf22977e0a552b85fe3c2105db76f202
Author: Ruei-Yuan Lu <RueiYuan.Lu@gmail.com>
Date:   Fri May 25 01:07:07 2012 +0800

    zh_TW translation update
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f352ed335818dce18fffd5dbf269f6da9fddda18
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed May 23 21:58:46 2012 +0200

    Hide errors with multi-part rar when the end of archive block is missing.
    (cherry picked from commit 8de46adc1189fe3a3ad7c127896ec026d9da3d62)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cb1c93f7831b1d24b41b224ce9af5cc14fbb66e2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat May 12 20:59:35 2012 +0200

    Fixed support of G726.
    
    The bit per samples must be exact for the avcodec decoder.
    It closes #6799.
    (cherry picked from commit 59ae308b755d365655dca9ccccf9b738b1415f5f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8d8ca1d1439d6d8a2d87a1bfc73a13f806a52e64
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon May 21 11:44:45 2012 +0200

    AVI: read the creation date
    (cherry picked from commit da39be7b8045b28a744711f7a3482b7639325707)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f4f5913e32b5d526458bc5db0403ccdb4344509e
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Fri May 18 21:17:32 2012 +0800

    httplive: do not reset segment data without key
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 533c3fda8892754017a26d2dfe3ef9d3cbb12dbb)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b89e0273572cec446914321c781c402c9c35dd1d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon May 21 16:51:34 2012 +0200

    HLS: fix a signed comparison warning
    (cherry picked from commit a5b0a06c3a8a6c6276e172174405b40e6678b2a1)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c9c442340555cb165471ebbbe79285a038a8aa6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed May 23 05:07:19 2012 +0200

    lua: fix more sd input options and lua stack use-after-gc
    
    Strings from the lua stack stop being valid after you pop them
    (cherry picked from commit 8f048e9cabebeec8b514e981993d16acfbbd7c28)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a27a39a740485ae78d7cf392274df8446f85f6f6
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Sat May 19 20:59:28 2012 +0800

    Avcodec: disable delayed opening for packetized AAC data
    
    This is usually not visible, since you need avcodec+avformat, instead of
    ts/faad. Close #6847
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e0a4ac832b5214561944cd8212d7a94ad5d0ce87)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4446014f0c245bcac963e6deac8f34bfce375bcf
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri May 18 10:40:54 2012 +0400

    Bluray: use meaningful error messages when available.
    (cherry picked from commit d865085e438b4a2a8307a5e31bafffdbee048aa3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 86305775ed70368adb9f401b78fa93609947a046
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 14 14:16:34 2012 +0200

    lua: icecast: fix syntax
    (cherry picked from commit 8250e947f5708d7037078701706fa6d812b8b35d)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7af7638bfe9593a38a8195392760c694137e76fa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 8 15:09:37 2012 +0200

    lua: icecast: can fix radionomy's station names
    (cherry picked from commit c483441208358fe98b1edbde033b7a958767f8ff)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bf763ff9d12e8c287191dd9456cd461b164dbe61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 8 12:43:45 2012 +0200

    lua: icecast: fix icecast meta import
    (cherry picked from commit 7f9b3efc8c7d347b28c8af9ba32043b7629c69fb)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74cedadc0ad778ccb44dc8bca138c3992a7bf2f3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 8 12:29:26 2012 +0200

    lua: icecast: show url as alternative for unknown stations
    (cherry picked from commit 37fa606c9185246358d7a55184c28aa480523436)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d12af091b7295b6fe854a3f27fb7570e6dcf60f7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon May 21 17:14:37 2012 +0200

    macosx: added forgotten method declaration in header file
    (cherry picked from commit 58fac8cfd783beffd1840ba688663268513aef83)

commit f3239670054a75bc151257a1224db27a73832c67
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 20:08:35 2012 +0200

    macosx: remove debug code and block Lion's fullscreen mode when disabling 'video-deco'
    
    Thanks to David Fuhrmann for the remarks
    (cherry picked from commit 5003db864a87d4d9a017939945df29b03bb76ac2)

commit e6d7a9db5c4e1221fea9969c1e270b2cb33a36f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 21 14:41:05 2012 +0200

    macosx: removed the outdated and dysfunctional service discovery menu items from both the playlist and the main menu
    
    (manually cherry-picked from 5e8666c883f3653b6c9a1e1a94515947df17a20a)

commit b74a6a68c87100a81df5eb6699bd021d0fc4d6ff
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 21 14:29:51 2012 +0200

    mention 'video-deco' support in the NEWS for 2.0.2

commit 6fd52a255f27c62ccad6b3b7714ddc449fdb7e9a
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 18 18:03:16 2012 +0200

    macosx: remove one unneeded line in togglePlaylist:
    (cherry picked from commit e375b238a70d235f21d3a378c85bd4b8500c90e7)

commit 846b3c55de7ae1d8da302b894dce905a099bfd70
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 18 18:01:00 2012 +0200

    macosx: some small improvements for !video-deco
    
    - smaller min size (no need to have this big width here)
    - no black borders while resize
    (cherry picked from commit c2fe98bd7b3d87581a11c243c4ee85cc0ad912fd)
    
    Conflicts:
    
    	extras/package/macosx/Resources/English.lproj/MainMenu.xib

commit 49d1f5b71b36d77d63b2f4c111579d602f410470
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 16:24:24 2012 +0200

    macosx: added 'video-deco' to the simple preferences to match the Qt4 intf (refs #6426)
    (cherry picked from commit 2ea9ea1117ba6bae74f9dcf7f00e3188bf3a1eb2)

commit b778e2875f166f5ec38a464ae2f90aec4ab4a40d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 16:01:19 2012 +0200

    macosx: re-implement 'video-deco' support (close #6426)
    
    disabling this option will get you a separate video output window without any visible playback controls or window border. resizing is supported through hotkeys and Lion's native mechanism if available. Control the playback through menu and main window controller. Note that 'embedded' is obviously ignored in this mode.
    (cherry picked from commit f01f7eca64bd6f007afeaaeed623990e76a43de8)

commit 3d8d3fc897517ed1ac6a1f0ccbe0adb6e901d299
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 15:59:21 2012 +0200

    macosx: updated copyright headers
    (cherry picked from commit 298f3d05b5dc4a0aa464dc9df1ff5f30b9021d3a)

commit bc48ec2f7849f3fabe2121922c11d91ae09c7b21
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 14:21:15 2012 +0200

    macosx: another optimization for the wizard
    (cherry picked from commit 962d96bf1137f12810233e04feea1462fa09f6cf)

commit c31cacd2f556124d2f70345ebe31e71082d8861d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 03:36:01 2012 +0200

    macosx: more optimizations for bookmarks and wizard. no functional changes
    (cherry picked from commit 5ab6bfbd95919205b92770293c8046696c5b3ebf)

commit 6006454cee9f5b16691093cdf33c160c94a98e6a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 03:06:52 2012 +0200

    macosx: code optimizations - no functional change
    (cherry picked from commit 5f138ac2342473dba543d797c7592e6757289b05)

commit 3120c6377979d6328840c577b1e397962fe2a833
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 02:56:22 2012 +0200

    macosx: improve memory and hotkey handling (in case a vout is active, but not the first responder)
    (cherry picked from commit b3259ed4de03feded83222e6fe0837caabb8d20a)

commit 01e99e18ae3386e46e3df5596aaf47b10b4efc39
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 21 11:39:14 2012 +0200

    macosx: removed wrong check, which could make the video output disappear when leaving fullscreen mode in rare cases (close #6856)
    (cherry picked from commit 7100a8c8c8ba7364d5543c13ae70040a16aee17c)

commit 4a354598ff3230cd82d51ed154133e51d458c100
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon May 21 11:41:31 2012 +0200

    macosx: make sure that the fullscreen window is the main window (close #6850)
    
    With the previous impementation, VLCMainWindow will stay the main window in fullscreen and is accidently activated when closing utility panels.
    (cherry picked from commit f2092e1069a7bd65b7a8a99f4da513d06b352d5a)

commit e77f9d4e8e3ddf0ea3b1e8c0ee62f79799d6d6c4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon May 21 00:34:12 2012 +0200

    lua: fix equalizer setting code
    (cherry picked from commit 71276f2b20747c9343b0741e117d3b480811df00)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 0fe515a30d8118e9edd7675fe0d0e506f476d04f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun May 20 19:50:20 2012 +0200

    lua: fix memory leak in equalizer function
    (cherry picked from commit e52f2154aeb9260b08ca063d30d7f8739a3bf95b)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit a1a3464ce7565065d3055fa10cc5384419e32180
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun May 20 06:23:35 2012 +0200

    lua: fix memory leak
    (cherry picked from commit a754b0062dbfcd34a648842a2d8b53707ad6cfe3)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit f8640237cbc164d311f1c3f7212e86c033a6bca6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun May 20 03:48:08 2012 +0200

    lua: fix memory and object leak and reset locale on error path
    (cherry picked from commit 31b5fbdb6d43462db5de00f13e910e0d9441ce3e)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 6430ad0454eb89cae09a7be46d7f89832440b02d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 18:45:25 2012 +0200

    macosx: fixed antialiasing issues in the Open panel (close #5778)
    
    (Manual merge of fa76779bd62abae33c22b2fa0a4cc44d05d055c7)

commit 49fad7ae9029bfd2384af242a821a3a58954eadd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 17:52:02 2012 +0200

    macosx: allow the user to sleep his/her Mac using the Apple Remote using the designated AR event (close #4383)
    
    This code uses NSAppleScript. Hence, it is likely going to be incompatible with the current sandbox implementation.
    (cherry picked from commit 9a73999a1f22b13051da16feaf54d8dd02e5bc80)

commit 041b88e4217ed7235fb40dff166fedf06281c81e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 16:14:07 2012 +0200

    macosx: use CoreInteraction code for the media key triggers
    
    no functional change
    (cherry picked from commit 8548e873e73f7e2838fee5e758eeb31ce158f5bb)

commit 9a59642da6d90bdf9ee0e90a8d0310353d9b426a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 16:08:31 2012 +0200

    mention the SPMediaKeyTap update in NEWS

commit 7b1aa1ca519a29381ad09cccb1eba1e0f625dec5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 16:05:55 2012 +0200

    macosx: using the updated SPMediaKeyTap, we can disable the controller on the fly and no longer need to restart VLC to do so (close #6613)
    (cherry picked from commit 0aaae8bd58be075548276b3696b9badb998da28f)

commit cfdad448fc7fc64c74b41e199002ea163f01b2be
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 15:49:09 2012 +0200

    macosx: update SPMediaKeyTap to latest code from upstream (refs #6613)
    (cherry picked from commit c6aa5ac9636a888923e4ae92faccbfbd399d987c)

commit d707f8f3072d8f58b5eba389272f5009f6375b1d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 18 15:20:17 2012 +0200

    macosx: set the represented URL in the detached vout window correctly (close #6836)
    (cherry picked from commit 9b56e18b3a577cb0f6615b355035f0f23e69b692)

commit ce58247d771dd3a4b57a68d0c800808e850b609f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri May 18 06:08:37 2012 +0200

    luahttp: use us_tonumber() for commands passing decimals
    
    This fixes playback rate, track delay and equalizer settings.
    (cherry picked from commit fff364519a7723f98c7be6a507893e21efc6c2bd)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 6d85c42f7cb12b7cf7e4be24afe4efbd8315d80d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri May 18 04:15:23 2012 +0200

    luahttp: make rounding function resilient to strings
    
    Because somehow strings are used to represent decimals...
    
    Fixes #6815
    (cherry picked from commit 78ee8bbd0478fda7ff55f8aa0d0a051be6784248)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c84bdbdc42c91b8bb393687271c2d77eaf08cad7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 17 02:33:22 2012 +0200

    macosx: fixed corner case, which could lead to an empty main window in case the video output closes prematurely
    (cherry picked from commit 5c165066e19c1935de7abd8142deab531c0265ac)

commit 0de6f5420f9a1ab6fdb99c061eada09505793076
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 16 20:54:39 2012 +0300

    Qt4: use msg_Dbg() for tools panel items debug
    
    (cherry picked from commit cbdadbfb0e9f162f1a4151fcb056df56c9e67015)

commit 003bf14c9194195fa82504ea32694b39d4a8e3a4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 16 17:14:37 2012 +0200

    added growl update to NEWS

commit 980a9c2292d5acbf06e5483dd23f7b51f446a6e1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue May 15 19:34:40 2012 +0200

    configure: slightly updated growl header detection
    (cherry picked from commit 890ea0765894d32df2604f0d6d9b9e66eb2f8a37)

commit b77f3984fef0c06e7a6fc5ae0a7fef0ff3e96ef0
Author: Karlheinz Wohlmuth <kwohl@myopera.com>
Date:   Sun Apr 22 20:10:31 2012 +0200

    macosx: Growl notification plugin: use the Cocoa-based API
    
    Support for the NSDistributedNotificationCenter based methods
    was removed in Growl 1.3.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 999170bd706b7d56d50a40a032522be7a379746b)
    
    Conflicts:
    
    	modules/notify/growl.m

commit 6911754573f5b39640b13b745aa36d2f9bdd7ba4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue May 15 22:19:34 2012 +0200

    macosx: fix another case where the user would see double negative time values
    
    Time can be greater than duration, when you scroll right to much.
    Furthermore, this commit moves the duplicated code into a own method.
    (cherry picked from commit cb98770db2ead84cb01568553ecc26839d9d85e5)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit c87880bc4e5a90febbfc348dfb01150a5d113632
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 16 17:51:59 2012 +0300

    PulseAudio: work around #5825
    
    This bug is already fixed in VLC 2.1, but the fix is probably too
    invasive to be backported.

commit 7127f328cc56c666df8f622f86602064fd54293b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 16 17:31:15 2012 +0300

    PulseAudio: remove incorrect corking assertion
    
    It can fail in rare circumstances such as context failures (in other
    words, PulseAudio daemon crash or exit).
    (cherry picked from commit 5a0c690fb160d2b343b10eda8c986b8b4c7c531c)

commit 859509ab36239133ef05fe20d85a28131d87a549
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat May 12 23:16:00 2012 +0900

    Fix the problem that 'Open Directory...' does not work on OS/2
    
    fpathconf (_PC_NAME_MAX) set errno to EBADF. This leads vlc_loaddir() to
    misinterpret the result of vlc_readdir() if there are no more files.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 3cabdc21d79e61947800d7d7f6f729d9bdec647b
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Mon Apr 30 17:57:19 2012 +0900

    upnp: fetch all media items correctly.
    
    Close #6716
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 83a9c8442f393e4ada4c0cdccfebb41b67a17851)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e14d808ef8b6468f936f0dc9416eda620459064a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 15 18:03:40 2012 +0200

    Qt: correctly behave when customizing from minimal view
    (cherry picked from commit 1d8fd45bfad1a91ce2a623c2a301b8115e14f05c)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5739701302076ec2efe42f42533112654f2a491f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 15 17:24:33 2012 +0200

    On Windows playing items like dvd:// or screen:// causes strange shortcuts in the user recently used folder.
    
    See http://social.technet.microsoft.com/Forums/nb-NO/w7itprogeneral/thread/02a71215-e308-408c-94a6-81f5a8e564a6
    for some information. The solution calls SHAddToRecentDocs only if make_path
    returns a valid path.
    
    Patch by anonymous VlcVelope
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 391bb3272583cbe41c5dfec60141b76e9fd61d0e)
    (cherry picked from commit 06ceac25f5d7a30ee585cb0f1c0b925f31234d74)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e4fc3291adefaf15a46d751b759a8832bf92f10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 15 17:22:13 2012 +0200

    Windows 7 taskbar buttons got lost after "video on top"
    
    This is not fully fixed, but it works after a state change
    
    Patch from anonymous VlcVelope
    (cherry picked from commit 1fc1506a8ff78d0ef8c5f8d2d77634ba6e8b4b12)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 632b91a9ac91501d35d8aa590d02f5f1c24d45d6
Author: Tobias Güntner <fatbull@web.de>
Date:   Wed Feb 1 23:46:59 2012 +0100

    Leave minimal interface if Esc key was pressed
    
    Close #5898
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6e3489732966f4b124b4d68a53988b593c08777b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e881d32041b4e51d6015af01ab45537e6398801d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 15 16:15:16 2012 +0200

    Qt: correctly handle mousewheel in selector
    
    Close #6812
    (cherry picked from commit 16c1b2916cf36a8e9c218ab856a62f289f6d2d80)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b3354a635282d80945645158f18b4701a36a21c0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 15 15:21:02 2012 +0200

    Qt: hide update check preference when !UPDATE_CHECK
    
    Close #6813
    (cherry picked from commit 88a69655ae94b045d84fd9d45daf155e1728a65a)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2a1e6ffe3080cdc69a99332040de89bc691bd4f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat May 12 02:10:58 2012 +0200

    Fix Stack off-by-one overflow in vc1 packetizer
    
    Pointed-By: Clément Lecigne
    (cherry picked from commit 08879e4e4284cd5359578731701195e5d19c2f20)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8cc195912e60e5cc630762f8c7b2ed59a371215
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat May 12 16:02:26 2012 +0200

    Qt: main_interface: fix showTab(oldwidget) for undocked playlist (fix #6794)
    (cherry picked from commit 0ef62578e5b6e06e67868e8a9e2ac11d4436b5da)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2d044e476e1fb9f65ad93472468be378ff613879
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue May 15 01:33:54 2012 +0200

    macosx: limit the 'big' fullscreen panel to the 27'' iMac (refs #6383)
    
    an option to switch the modes is in the works
    (cherry picked from commit 81162e722f2f92e6415d7947416823486992b073)

commit d82f47cca0ab74769c7c62b7ac15358f67c8e669
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 14 17:28:02 2012 +0300

    Old RC: use vlc_socket()
    
    This avoids leaking the Unix socket to child processes.
    (cherry picked from commit cb11b7841319bd9017b76229291223c49b40d219)

commit c238e2a7e0eeff0ad851e20ee1e9fed0db3823a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 14 17:33:32 2012 +0300

    libvlccore: bump version and age (added function)

commit 7477aabc53bf31fb45c89dedbb09fde1e14d6907
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 14 17:26:00 2012 +0300

    Export vlc_socket()
    
    (cherry picked from commit 619b980ef0eb9b91fd45b2657d810c324401e0b2)

commit 592d02b7d955c8195b036d204fb2d2ac7bba2d44
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 14 17:33:11 2012 +0300

    libvlc: bump SO revision (event bug fixes)

commit 680dc5d7b1281d7a7a3bf7404dd2f753218b3d85
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon May 14 14:10:16 2012 +0200

    Qt: correctly fallback to filename when empty tags
    (cherry picked from commit 6acd0f4c54dcd69d029106c2465cba19d99ff24b)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fca47b656a0d592d6ab66b380903b0609e0a5c3c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon May 14 04:56:54 2012 +0200

    luasd: fix parsing of input options
    
    This is just a partial fix.
    Fixes #6148
    (cherry picked from commit 114a88bc426ee433e0d060c5d74caaaf10a7fab1)
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 982e367ad862783392a9a71b2f79b8b8394ef86a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 13 22:31:02 2012 +0300

    caca: add Xlib initialization
    
    (cherry picked from commit 760668e7a6accb3046207b7ae426e509cf73dc7f)

commit 6abd243ff410dc5aa9352d208b8235f0989da670
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 13 22:30:11 2012 +0300

    caca: convert to automake
    
    (cherry picked from commit 52197b014bebfd9744aac4ad34f3e3d379abd53c)

commit 9795744865489a7e2427b2a4b7e2e6182213fb71
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 13 22:15:32 2012 +0300

    AA: drop priority to zero
    
    This plugin can cause VLC to crash or exit prematurely. Sicne it is
    mostly useless and mostly superseded by the coloured variant,
    lets disable it unless explicitly selected.
    
    This should fix LP#971106.
    (cherry picked from commit 5a772cbf7d490bc9cffa6c2f97c5fd2d3e30f068)

commit c151aa4da0bb6402c54af507c8af8739fefcab15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 12 19:38:27 2012 +0300

    file: do not attempt to open(NULL, ...); (fix #6796)
    
    (cherry picked from commit 9984e74dbff847645ae0e63db96bcd249568b7a4)

commit 5704485522210ed7c28b9ed99dab0f35299e447f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 11 21:05:46 2012 +0200

    Update NEWS

commit fc6f188aef93d2562aefb26b266cf99407bb4edd
Author: Mark Lee <mark.lee@capricasoftware.co.uk>
Date:   Wed May 9 17:29:34 2012 +0100

    In libvlc_media_list_player_play_item_at_index() set the media descriptor on the NextItemSet event.
    
    This is now the same as was already implemented in the
    set_relative_playlist_position_and_play() method.
    (cherry picked from commit c64c794ee123b8a7d57682db6b753bf1dadec54f)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7608b87208a5ce5448cae9d5c2774e958528c71f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 11 17:31:36 2012 +0200

    update NEWS

commit dc0536c0fda865ed943d051867dc6e700a961f1c
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue May 8 20:38:47 2012 +0200

    macosx: remove unneeded headers from videoview.m
    (cherry picked from commit deb8ae92650b4b112fada9b4c7b8ba3c71ed74d7)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 108e103e16bc56b99967b436da0df598afee5485
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon May 7 17:09:06 2012 +0200

    macosx: only show fullscreen when mouse moves inside window
    (cherry picked from commit da65be4390a8cbe466840f76d13965a4893bbd7a)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit d9f614d8dc913bfeeb29cbca82bc8c7962c74222
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun May 6 11:13:24 2012 +0200

    macosx vout: public getter for vd should not be needed anymore
    (cherry picked from commit 3b3a8924773effa59c8e85b6075fd8c659c6e39a)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit bb9653654b49d35433f033ac056916597c867a9e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun May 6 11:04:49 2012 +0200

    macosx vout: syncronize access to sys->place
    (cherry picked from commit 3d649ef6e18e0d13faf8deaf28eb17de55be5df4)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit a2ef7dad88de2d2a28fc8080438c49f34d06ceaa
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun May 6 10:50:34 2012 +0200

    macosx: remove unneeded p_vouts in videoview
    (cherry picked from commit a2347e5728d0c6749172f43ce40387338224103e)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 127ffb40b599ffd882d7d757c53ca9266cb8c792
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun May 6 10:49:22 2012 +0200

    macosx: avoid index out of bound exceptions in some cases
    (cherry picked from commit 2aa0ad9c3da62df3f31ff317bd747eb0b8524b71)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 2a025f5df901ed244ca7f540e8fc6ac98a9c5a11
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 5 22:10:53 2012 +0200

    macosx vout: avoid place_picture call for every mouse move event
    (cherry picked from commit dc5988addd4d36655fcbce3fbb39e817ef88dc1f)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 2ce08553100f19884a3ed68001045906f18383f2
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 5 21:54:59 2012 +0200

    macosx: move mouse vout event code to vout module
    
    Now it should be usable within own libvlc applications
    (cherry picked from commit 729e509f11a90d417a2f28c84b68d3648167142b)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 672577b7fda2be059a330de1578ac15b8d9c7f17
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 11 13:05:03 2012 +0200

    macosx: improve the handling of broken prefs and make sure that the user is unable to re-break them without using the command-line or a text editor
    (cherry picked from commit 4fac18958067cc3506413ae1d690910a1994506b)

commit 920c3a725864f70f0541a29ded9d6c612748c554
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 11 09:11:51 2012 +0200

    macosx: avoid some focus problems when doing playlistish stuff
    
    The original purpose for this code is fixed somewhere else today.
    
    close #6769
    (cherry picked from commit 0f0d47518b683267190256ae0cb5f4c403b306ea)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 347d28dec0ea91b878d0cc51e9eb215bf28db24e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 11 09:16:22 2012 +0200

    macosx: fix menu support in detached video window
    (cherry picked from commit 7ebcfcf446d55a29ea3dfe7783beea27557e83be)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 0f06b53238f4cc8e6ea7316aa24014b7c85ba8b8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 11 12:28:46 2012 +0200

    NEWS: added more details on an OS X specific change

commit 4a4dc98d75354f5571fc0183431a62f4bbe1293a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 10 23:34:14 2012 +0300

    subsdec: add CP850 as a character encoding (fix #6732)
    
    (cherry picked from commit 77a137de94267e120320dd1d2981e01d092e3225)

commit c4d228d601f8b9f8e08721285ac3f7a182699076
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 10 01:54:56 2012 +0200

    macosx: trust the user that s/he knows what s/he's doing when opening a VIDEO_TS folder (close #6108)
    
    in other words, accept folders which aren't named 'VIDEO_TS'
    (cherry picked from commit 0fff26bc5eb641f04b882b6830099b9bd267124b)

commit ab16815208f5f6b9bbcac95bdaf950ef4cf56d8f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri May 4 20:32:40 2012 +0300

    Do not include RPM spec files in tarball
    
    This makes no sense. RPM needs the package specification as a separate
    file, where the source tarballs are indicated. Chicken-and-egg...
    
    Besides those files are out-of-date.
    (cherry picked from commit ee3053e27485efc05856fd3574ab8daa65cfbd61)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 5ee93d74671abaf95ecd185bb7afe42de9a02fc3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 4 19:27:11 2012 +0200

    Makefile.am: added more missing files to make dist (refs #6743)
    
    left out for now: cmake, ipkg and most of win32/UAC
    (cherry picked from commit 0fac96096c284eeaea307fa04caa6e1e6a6e6bf2)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 725b8162d624f5dae8aacfd3efbe082038236ec0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu May 3 18:30:42 2012 +0200

    macosx: VLC.app shouldn't rely on a script included within VLCKit
    
    Therefore, add a copy to extras to prepare the VLCKit split
    (cherry picked from commit 72549b918f834891a40328ddf5fc40a59cbfd653)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit b6b349b4af2541dd6e0d221385274685fb2436ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 6 15:17:30 2012 +0300

    file aout: do not apply volume (refs #6262)
    
    In my opinion, amplifying the audio that gets recorded to a file may do
    more harm than good. Indeed, there is no direct feedback to detect and
    correct saturation or distortion.
    (cherry picked from commit 02a2074e054a237876a2c980621cbc0969dd72a4)

commit 9cca7f661b43a79b78cd8153393c829ae330f6d7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon May 7 17:12:08 2012 +0200

    update NEWS

commit e0bb559e3fadbc6b6efdf909f693156775599e90
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat May 5 19:02:21 2012 +0200

    macosx: fix mouse position sent to vlc core for menus
    (cherry picked from commit 2d2cde172f10a5290956a115b35cf693a945e559)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 2cc0e83d2b742b0ddbc1c058e510cdce4b02dbd9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 6 15:38:12 2012 +0300

    waveout: fix volume initialization
    
    (cherry picked from commit 9be0932d795076e8b33cfabb4a2d23042826025d)

commit 1aebb872ca34b207aab65c049b47fe63b02d2f41
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 6 15:13:39 2012 +0300

    News

commit c445d21eb26efa39a9cf061657a83e25b716a253
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 6 15:09:51 2012 +0300

    PulseAudio: correct volume reporting from PA to VLC (fix #6759)
    
    The proper reciprocal formula to that of VLC to PA conversion must be
    used. Otherwise, we get an inconsistent value in the "volume" variable.
    (cherry picked from commit a89517ca4be10847d17db539ed6acf5302fb65dd)

commit db7535e73e1d5df68d2e0585dbb1314a27559d49
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Wed May 2 10:44:16 2012 +0200

    skin2: call interaction_Register()
    
    The destructor called interaction_Unregister(), thus also call interaction_Register()
    (cherry picked from commit af9d16c530c407834497885916505a97c9aadb75)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8a3f406da52584abee155c0eff5b9b0d6fc467e
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Tue Apr 24 10:45:10 2012 +0200

    avformat/mux.c: Check malloc return value.
    (cherry picked from commit 8fe6c20c7a040796758a684c54220a7a365b84b0)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c61401f52d08167688f65488605b945924344db
Author: John Peterson <john.peterson3@hotmail.com>
Date:   Sun Apr 22 06:35:02 2012 +0200

    rar: + Robust to non-specification header: Missing added block size flag.
    (cherry picked from commit 1fcf4a83a10cc1d668d5369682fe1f0330ac7e70)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cf2819b228390f6e74f55f97796e66d9d0303b02
Author: John Peterson <john.peterson3@hotmail.com>
Date:   Sun Apr 22 06:35:02 2012 +0200

    rar: + Support for up to 1001 volume old naming style archive.
    (cherry picked from commit 0ba86c3412976f39dc45caf11c64e2d8168aea42)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c3e5b21f09947d3b49bc2805225b1f2a437160d
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri May 4 15:15:40 2012 +0200

    faad: Fix a crash when channel info are invalids.
    
    Fix #5433
    (cherry picked from commit 5db50265be1ba6537daa3a08ac368668bf1455b0)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a6dd86b1d8ac1d883b3671b061329a43ea58f180
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Wed May 2 15:37:31 2012 +0200

    faad: Fix channel reordering loop.
    (cherry picked from commit e6050c742c28f3ba714cbadda19e11dab1cdd625)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 39e47aa2fe9129f7ccc05326d641c5220504adb9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri May 4 20:24:57 2012 +0300

    Add missing events (fix #6750)
    
    (cherry picked from commit 0845bbed311a8fe510c0521d815fc976a98a4707)

commit 633d25f633d13ec789891c3718ae7a9962aa78fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri May 4 19:40:15 2012 +0300

    JACK: fix sampling rate (regression in VLC 2.0)
    
    The format must be initialized before aout_PacketInit().
    Fix Debian #664279 and LP#987231.
    
    Pointed-out-by: Walter Ösch
    (cherry picked from commit c028792ebaaa4579b2902e9c9e630a3a61fef3d1)

commit be2e926663715f73bce48dad99f4aa765988c4ef
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri May 4 00:26:06 2012 +0200

    macosx: fix another crash on exit
    
    (for whatever reason this was only observable on snow leopard for me)
    (cherry picked from commit fa3efbecc46ecb54900d2b0a060a80d001a321af)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit 22376bb4bdc9b96b59bcbcd3c26c0cc28b8f1fcb
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu May 3 09:42:24 2012 +0200

    macosx vout: unify code style to the most widely used one
    (cherry picked from commit 3bd2a8eae1e4de4949f955c2da601280670e3920)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit d538309b82af1610760681044a65083355c9aa58
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Jan 29 17:55:07 2012 -0500

    avcodec: fix avutil version check
    
    ffmpeg/libav doc/APIchanges should not be relied upon
    (cherry picked from commit 7f510436afb80e7c4bc4a563c7f385c7fb289749)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 474e7ac066a8d8078b80ea4295b36ae67af8912b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Jan 29 04:14:20 2012 -0500

    avcodec: don't include non existing header
    (cherry picked from commit b3a6617f9d6a0ddff58ec72871b02dbf98fb4f37)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 406d8298cf952caf9bd5de11b5a697aafded7c38
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 2 18:57:48 2012 +0200

    fixed typo
    (cherry picked from commit c9ef39b174c61db85f9e4cb8a69a1a2cce7ca4f9)

commit 2e18eefcb94a07ae883eb64536202c341e80d975
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Apr 23 01:22:18 2012 +0200

    macosx: re-implement the 'icon-change' option
    
    Note that the displayed icon is a re-rendering based upon the original sources, since we need a higher resolution icon on the Mac.

commit 5aecdd4696d38b642ec5215fb5722988c0f4afa8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 2 13:42:48 2012 +0200

    fixed make dist for Mac (2)
    (cherry picked from commit b07f9ac1a626165e703a711df88e597906dade7f)

commit 7408186abb9778e839361141459ed96b4a7daddd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 2 13:41:12 2012 +0200

    fixed make dist for Mac (1)
    (cherry picked from commit 5e5d0aac07e960ea1d59a0209bf63aacb9dd8211)

commit 6a1bffebf06713091de725f42810068ed2441817
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed May 2 11:02:08 2012 +0200

    NEWS: update

commit f1618bf3a30b23c71c7d80f97f2644c616c9a443
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed May 2 10:58:34 2012 +0200

    Revert "Contribs: update upnp"
    
    This reverts commit f435727dc899df23a12d926258b3a8fcd6bdd524.

commit 16e9e126333fb7acb47d363366fee3deadc8331e
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Mon Apr 30 11:50:17 2012 +0200

    ogg: Fix a heap buffer overflow.
    
    Reported by: An anonymous contributor working with the SecuriTeam Secure
    Disclosure
    program (http://www.beyondsecurity.com/ssd.html)
    (cherry picked from commit 6a41b030f5b7fcbe5ad7249c374172c0fdc29add)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ef075a98444cab69410f4a1254a2bf5187be082
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Apr 30 09:01:42 2012 +0200

    macosx: small clarification regarding fullscreen controller
    (cherry picked from commit 37f24581df46af51482f3acf7df120522eec4d77)
    
    Signed-off-by: David Fuhrmann <david.fuhrmann@googlemail.com>

commit f435727dc899df23a12d926258b3a8fcd6bdd524
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 30 23:51:42 2012 +0200

    Contribs: update upnp
    (cherry picked from commit 1f3009e7c609c7446e4cec09b5121fa7ca7122a4)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 69c65a067b8f17950af9e4293d1552d90e62a0df
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 30 23:44:50 2012 +0200

    Update taglib to 1.7.2
    
    CVE-2012-2396
    (cherry picked from commit 02a1c23e33c01f424b5d2c6de498baaeca2252a3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58b9a9aa44d74a3051cb6562eee281b610b57d61
Author: John Peterson <john.peterson3@hotmail.com>
Date:   Sun Apr 22 06:35:02 2012 +0200

    rar: Read the uncompressed size high word instead of the compressed size high word
    
    For multi-volume archives the compressed size refers to the size of the data in the volume rather than the entire archive.
    
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>
    (cherry picked from commit 0ea07fba5ac7677c715664d370c85cbf8ce01d95)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 37fc3d99becc30a3517869c202b9725ef02311da
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Jan 29 04:17:27 2012 -0500

    avcodec: invert definition of deprecated values
    
    We want to use the new names in our code
    (cherry picked from commit 6689109fee1f315dfc1931e5263e9a4aa6f8cff3)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 167c370dc4355bf8f0f52b1b3a74cdc4f52e4b67
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Jan 29 03:57:08 2012 -0500

    avcodec: fix build with libavcodec < 54
    (cherry picked from commit 1ed476774fee834da7b4dba4d38a8a41c1908890)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 117ea7ef90d5e8ef948646cdb198c80af7008b28
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Jan 29 03:20:34 2012 -0500

    avcodec: revert define of deprecated values
    
    We want to use the new ones in our code
    (cherry picked from commit dd74923370c8be69b93eeff99582e9cb43812005)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit acce7567fa65a6355524e0ce185a0790858c4753
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 23 18:25:37 2012 +0200

    Qt: fix an annoying resizing issue.
    
    That was resizing when video was stacked in the playlist
    (cherry picked from commit 66b3569cecf9fb671e21bc672922295618971ef8)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a703f24583c188ac153b7e5617ddb309323d8548
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Apr 29 21:20:31 2012 +0200

    macosx: do not display double negative time when duration is unknown (0)
    (cherry picked from commit 29442477ade3b0f18c2c0ae2a0da6c112beed4c0)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

